Problem with Camel Spring Boot release

classic Classic list List threaded Threaded
23 messages Options
12
Reply | Threaded
Open this post in threaded view
|

Problem with Camel Spring Boot release

Gregor Zurowski-2
Hi Everyone:

After creating the Camel 3.1.0 release, I've attempted to create the
Camel Spring Boot 3.1.0 release, but ran into the following issue:

When running a dry run for release:prepare, I am getting the following error:

[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time:  7.711 s
[INFO] Finished at: 2020-02-20T10:12:35-08:00
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal
org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
(default-cli) on project spring-boot: The version could not be
updated: ${camel-version} -> [Help 1]

I am not sure why this happens, but I recall we had a similar issue
fixed by Guillaume when we prepare the Camel 3.1.0 release.

If you want to take a look, please checkout the release/3.1.0 branch
as I needed to make several changes:
https://github.com/apache/camel-spring-boot/tree/release/3.1.0

Thanks in advance,
Gregor
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Gregor Zurowski-2
I found the issue in the meantime and fixed it on the release branch:
https://github.com/apache/camel-spring-boot/commit/e354d5af

I am moving forward now and hope to release Camel Spring Boot 3.1.0
without further issues.

Thanks Andrea for your support!

On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
<[hidden email]> wrote:

>
> Hi Everyone:
>
> After creating the Camel 3.1.0 release, I've attempted to create the
> Camel Spring Boot 3.1.0 release, but ran into the following issue:
>
> When running a dry run for release:prepare, I am getting the following error:
>
> [INFO] ------------------------------------------------------------------------
> [INFO] BUILD FAILURE
> [INFO] ------------------------------------------------------------------------
> [INFO] Total time:  7.711 s
> [INFO] Finished at: 2020-02-20T10:12:35-08:00
> [INFO] ------------------------------------------------------------------------
> [ERROR] Failed to execute goal
> org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> (default-cli) on project spring-boot: The version could not be
> updated: ${camel-version} -> [Help 1]
>
> I am not sure why this happens, but I recall we had a similar issue
> fixed by Guillaume when we prepare the Camel 3.1.0 release.
>
> If you want to take a look, please checkout the release/3.1.0 branch
> as I needed to make several changes:
> https://github.com/apache/camel-spring-boot/tree/release/3.1.0
>
> Thanks in advance,
> Gregor
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Andrea Cosentino-3
Thanks a lot for your time Gregor

Il giorno ven 21 feb 2020 alle ore 08:40 Gregor Zurowski <
[hidden email]> ha scritto:

> I found the issue in the meantime and fixed it on the release branch:
> https://github.com/apache/camel-spring-boot/commit/e354d5af
>
> I am moving forward now and hope to release Camel Spring Boot 3.1.0
> without further issues.
>
> Thanks Andrea for your support!
>
> On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> <[hidden email]> wrote:
> >
> > Hi Everyone:
> >
> > After creating the Camel 3.1.0 release, I've attempted to create the
> > Camel Spring Boot 3.1.0 release, but ran into the following issue:
> >
> > When running a dry run for release:prepare, I am getting the following
> error:
> >
> > [INFO]
> ------------------------------------------------------------------------
> > [INFO] BUILD FAILURE
> > [INFO]
> ------------------------------------------------------------------------
> > [INFO] Total time:  7.711 s
> > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > [INFO]
> ------------------------------------------------------------------------
> > [ERROR] Failed to execute goal
> > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > (default-cli) on project spring-boot: The version could not be
> > updated: ${camel-version} -> [Help 1]
> >
> > I am not sure why this happens, but I recall we had a similar issue
> > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> >
> > If you want to take a look, please checkout the release/3.1.0 branch
> > as I needed to make several changes:
> > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> >
> > Thanks in advance,
> > Gregor
>
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Claus Ibsen-2
In reply to this post by Gregor Zurowski-2
Hi

Yay that is great news. Really looking forward to the 3.1 release.

On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
<[hidden email]> wrote:

>
> I found the issue in the meantime and fixed it on the release branch:
> https://github.com/apache/camel-spring-boot/commit/e354d5af
>
> I am moving forward now and hope to release Camel Spring Boot 3.1.0
> without further issues.
>
> Thanks Andrea for your support!
>
> On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> <[hidden email]> wrote:
> >
> > Hi Everyone:
> >
> > After creating the Camel 3.1.0 release, I've attempted to create the
> > Camel Spring Boot 3.1.0 release, but ran into the following issue:
> >
> > When running a dry run for release:prepare, I am getting the following error:
> >
> > [INFO] ------------------------------------------------------------------------
> > [INFO] BUILD FAILURE
> > [INFO] ------------------------------------------------------------------------
> > [INFO] Total time:  7.711 s
> > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > [INFO] ------------------------------------------------------------------------
> > [ERROR] Failed to execute goal
> > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > (default-cli) on project spring-boot: The version could not be
> > updated: ${camel-version} -> [Help 1]
> >
> > I am not sure why this happens, but I recall we had a similar issue
> > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> >
> > If you want to take a look, please checkout the release/3.1.0 branch
> > as I needed to make several changes:
> > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> >
> > Thanks in advance,
> > Gregor



--
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Claus Ibsen-2
In reply to this post by Gregor Zurowski-2
Hi Gregor

How is it going with the release?

On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
<[hidden email]> wrote:

>
> I found the issue in the meantime and fixed it on the release branch:
> https://github.com/apache/camel-spring-boot/commit/e354d5af
>
> I am moving forward now and hope to release Camel Spring Boot 3.1.0
> without further issues.
>
> Thanks Andrea for your support!
>
> On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> <[hidden email]> wrote:
> >
> > Hi Everyone:
> >
> > After creating the Camel 3.1.0 release, I've attempted to create the
> > Camel Spring Boot 3.1.0 release, but ran into the following issue:
> >
> > When running a dry run for release:prepare, I am getting the following error:
> >
> > [INFO] ------------------------------------------------------------------------
> > [INFO] BUILD FAILURE
> > [INFO] ------------------------------------------------------------------------
> > [INFO] Total time:  7.711 s
> > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > [INFO] ------------------------------------------------------------------------
> > [ERROR] Failed to execute goal
> > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > (default-cli) on project spring-boot: The version could not be
> > updated: ${camel-version} -> [Help 1]
> >
> > I am not sure why this happens, but I recall we had a similar issue
> > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> >
> > If you want to take a look, please checkout the release/3.1.0 branch
> > as I needed to make several changes:
> > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> >
> > Thanks in advance,
> > Gregor



--
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Gregor Zurowski-2
Hi,

There are still multiple issues with the Spring Boot release and I
will look further into those later today. The current problems are
mainly misalignments between Camel and the corresponding starter
components.

Thanks,
Gregor

On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]> wrote:

>
> Hi Gregor
>
> How is it going with the release?
>
> On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> <[hidden email]> wrote:
> >
> > I found the issue in the meantime and fixed it on the release branch:
> > https://github.com/apache/camel-spring-boot/commit/e354d5af
> >
> > I am moving forward now and hope to release Camel Spring Boot 3.1.0
> > without further issues.
> >
> > Thanks Andrea for your support!
> >
> > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> > <[hidden email]> wrote:
> > >
> > > Hi Everyone:
> > >
> > > After creating the Camel 3.1.0 release, I've attempted to create the
> > > Camel Spring Boot 3.1.0 release, but ran into the following issue:
> > >
> > > When running a dry run for release:prepare, I am getting the following error:
> > >
> > > [INFO] ------------------------------------------------------------------------
> > > [INFO] BUILD FAILURE
> > > [INFO] ------------------------------------------------------------------------
> > > [INFO] Total time:  7.711 s
> > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > > [INFO] ------------------------------------------------------------------------
> > > [ERROR] Failed to execute goal
> > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > > (default-cli) on project spring-boot: The version could not be
> > > updated: ${camel-version} -> [Help 1]
> > >
> > > I am not sure why this happens, but I recall we had a similar issue
> > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> > >
> > > If you want to take a look, please checkout the release/3.1.0 branch
> > > as I needed to make several changes:
> > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> > >
> > > Thanks in advance,
> > > Gregor
>
>
>
> --
> Claus Ibsen
> -----------------
> http://davsclaus.com @davsclaus
> Camel in Action 2: https://www.manning.com/ibsen2
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Gregor Zurowski-2
Hi Everyone:

I am currently running in the following issue when building Camel Spring Boot:

===
[INFO] [INFO] ------------------------------------------------------------------------
[INFO] [INFO] BUILD FAILURE
[INFO] [INFO] ------------------------------------------------------------------------
[INFO] [INFO] Total time:  08:59 min
[INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
[INFO] [INFO] ------------------------------------------------------------------------
[INFO] [WARNING] The requested profile "enable-schemagen" could not be
activated because it does not exist.
[INFO] [WARNING] The requested profile "apt" could not be activated
because it does not exist.
[INFO] [WARNING] The requested profile "hibernate" could not be
activated because it does not exist.
[INFO] [ERROR] Failed to execute goal on project camel-jetty-starter:
Could not resolve dependencies for project
org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
(https://repo.maven.apache.org/maven2) -> [Help 1]
===

As per our migration guide, the camel-apt module has been deprecated [1].

The pom.xml for camel-jetty-starter contains the following dependency:

===
    <!--START OF GENERATED CODE-->
    [...]
    <dependency>
      <groupId>org.apache.camel</groupId>
      <artifactId>apt</artifactId>
      <version>${camel-version}</version>
    </dependency>
    <!--END OF GENERATED CODE-->
===

Please note that the dependency is part of the generated code. Can you
please point me in the right direction on how to properly replace this
dependency with the code provided in the migration guide?

Thanks in advance,
Gregor

[1] https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components

On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
<[hidden email]> wrote:

>
> Hi,
>
> There are still multiple issues with the Spring Boot release and I
> will look further into those later today. The current problems are
> mainly misalignments between Camel and the corresponding starter
> components.
>
> Thanks,
> Gregor
>
> On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]> wrote:
> >
> > Hi Gregor
> >
> > How is it going with the release?
> >
> > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> > <[hidden email]> wrote:
> > >
> > > I found the issue in the meantime and fixed it on the release branch:
> > > https://github.com/apache/camel-spring-boot/commit/e354d5af
> > >
> > > I am moving forward now and hope to release Camel Spring Boot 3.1.0
> > > without further issues.
> > >
> > > Thanks Andrea for your support!
> > >
> > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> > > <[hidden email]> wrote:
> > > >
> > > > Hi Everyone:
> > > >
> > > > After creating the Camel 3.1.0 release, I've attempted to create the
> > > > Camel Spring Boot 3.1.0 release, but ran into the following issue:
> > > >
> > > > When running a dry run for release:prepare, I am getting the following error:
> > > >
> > > > [INFO] ------------------------------------------------------------------------
> > > > [INFO] BUILD FAILURE
> > > > [INFO] ------------------------------------------------------------------------
> > > > [INFO] Total time:  7.711 s
> > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > > > [INFO] ------------------------------------------------------------------------
> > > > [ERROR] Failed to execute goal
> > > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > > > (default-cli) on project spring-boot: The version could not be
> > > > updated: ${camel-version} -> [Help 1]
> > > >
> > > > I am not sure why this happens, but I recall we had a similar issue
> > > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> > > >
> > > > If you want to take a look, please checkout the release/3.1.0 branch
> > > > as I needed to make several changes:
> > > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> > > >
> > > > Thanks in advance,
> > > > Gregor
> >
> >
> >
> > --
> > Claus Ibsen
> > -----------------
> > http://davsclaus.com @davsclaus
> > Camel in Action 2: https://www.manning.com/ibsen2
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Andrea Cosentino-3
Maybe you can try to totally remove the starter folder and recreate it from
scratch. The generator adds but doesn't remove...

Il ven 21 feb 2020, 21:27 Gregor Zurowski <[hidden email]> ha
scritto:

> Hi Everyone:
>
> I am currently running in the following issue when building Camel Spring
> Boot:
>
> ===
> [INFO] [INFO]
> ------------------------------------------------------------------------
> [INFO] [INFO] BUILD FAILURE
> [INFO] [INFO]
> ------------------------------------------------------------------------
> [INFO] [INFO] Total time:  08:59 min
> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
> [INFO] [INFO]
> ------------------------------------------------------------------------
> [INFO] [WARNING] The requested profile "enable-schemagen" could not be
> activated because it does not exist.
> [INFO] [WARNING] The requested profile "apt" could not be activated
> because it does not exist.
> [INFO] [WARNING] The requested profile "hibernate" could not be
> activated because it does not exist.
> [INFO] [ERROR] Failed to execute goal on project camel-jetty-starter:
> Could not resolve dependencies for project
> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
> Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
> (https://repo.maven.apache.org/maven2) -> [Help 1]
> ===
>
> As per our migration guide, the camel-apt module has been deprecated [1].
>
> The pom.xml for camel-jetty-starter contains the following dependency:
>
> ===
>     <!--START OF GENERATED CODE-->
>     [...]
>     <dependency>
>       <groupId>org.apache.camel</groupId>
>       <artifactId>apt</artifactId>
>       <version>${camel-version}</version>
>     </dependency>
>     <!--END OF GENERATED CODE-->
> ===
>
> Please note that the dependency is part of the generated code. Can you
> please point me in the right direction on how to properly replace this
> dependency with the code provided in the migration guide?
>
> Thanks in advance,
> Gregor
>
> [1]
> https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
>
> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
> <[hidden email]> wrote:
> >
> > Hi,
> >
> > There are still multiple issues with the Spring Boot release and I
> > will look further into those later today. The current problems are
> > mainly misalignments between Camel and the corresponding starter
> > components.
> >
> > Thanks,
> > Gregor
> >
> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]>
> wrote:
> > >
> > > Hi Gregor
> > >
> > > How is it going with the release?
> > >
> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> > > <[hidden email]> wrote:
> > > >
> > > > I found the issue in the meantime and fixed it on the release branch:
> > > > https://github.com/apache/camel-spring-boot/commit/e354d5af
> > > >
> > > > I am moving forward now and hope to release Camel Spring Boot 3.1.0
> > > > without further issues.
> > > >
> > > > Thanks Andrea for your support!
> > > >
> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> > > > <[hidden email]> wrote:
> > > > >
> > > > > Hi Everyone:
> > > > >
> > > > > After creating the Camel 3.1.0 release, I've attempted to create
> the
> > > > > Camel Spring Boot 3.1.0 release, but ran into the following issue:
> > > > >
> > > > > When running a dry run for release:prepare, I am getting the
> following error:
> > > > >
> > > > > [INFO]
> ------------------------------------------------------------------------
> > > > > [INFO] BUILD FAILURE
> > > > > [INFO]
> ------------------------------------------------------------------------
> > > > > [INFO] Total time:  7.711 s
> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > > > > [INFO]
> ------------------------------------------------------------------------
> > > > > [ERROR] Failed to execute goal
> > > > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > > > > (default-cli) on project spring-boot: The version could not be
> > > > > updated: ${camel-version} -> [Help 1]
> > > > >
> > > > > I am not sure why this happens, but I recall we had a similar issue
> > > > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> > > > >
> > > > > If you want to take a look, please checkout the release/3.1.0
> branch
> > > > > as I needed to make several changes:
> > > > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> > > > >
> > > > > Thanks in advance,
> > > > > Gregor
> > >
> > >
> > >
> > > --
> > > Claus Ibsen
> > > -----------------
> > > http://davsclaus.com @davsclaus
> > > Camel in Action 2: https://www.manning.com/ibsen2
>
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Andrea Cosentino-3
Or better use the starter-delete and the starte-create. Apt shouldn't be
there

Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]> ha scritto:

> Maybe you can try to totally remove the starter folder and recreate it
> from scratch. The generator adds but doesn't remove...
>
> Il ven 21 feb 2020, 21:27 Gregor Zurowski <[hidden email]> ha
> scritto:
>
>> Hi Everyone:
>>
>> I am currently running in the following issue when building Camel Spring
>> Boot:
>>
>> ===
>> [INFO] [INFO]
>> ------------------------------------------------------------------------
>> [INFO] [INFO] BUILD FAILURE
>> [INFO] [INFO]
>> ------------------------------------------------------------------------
>> [INFO] [INFO] Total time:  08:59 min
>> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
>> [INFO] [INFO]
>> ------------------------------------------------------------------------
>> [INFO] [WARNING] The requested profile "enable-schemagen" could not be
>> activated because it does not exist.
>> [INFO] [WARNING] The requested profile "apt" could not be activated
>> because it does not exist.
>> [INFO] [WARNING] The requested profile "hibernate" could not be
>> activated because it does not exist.
>> [INFO] [ERROR] Failed to execute goal on project camel-jetty-starter:
>> Could not resolve dependencies for project
>> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
>> Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
>> (https://repo.maven.apache.org/maven2) -> [Help 1]
>> ===
>>
>> As per our migration guide, the camel-apt module has been deprecated [1].
>>
>> The pom.xml for camel-jetty-starter contains the following dependency:
>>
>> ===
>>     <!--START OF GENERATED CODE-->
>>     [...]
>>     <dependency>
>>       <groupId>org.apache.camel</groupId>
>>       <artifactId>apt</artifactId>
>>       <version>${camel-version}</version>
>>     </dependency>
>>     <!--END OF GENERATED CODE-->
>> ===
>>
>> Please note that the dependency is part of the generated code. Can you
>> please point me in the right direction on how to properly replace this
>> dependency with the code provided in the migration guide?
>>
>> Thanks in advance,
>> Gregor
>>
>> [1]
>> https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
>>
>> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
>> <[hidden email]> wrote:
>> >
>> > Hi,
>> >
>> > There are still multiple issues with the Spring Boot release and I
>> > will look further into those later today. The current problems are
>> > mainly misalignments between Camel and the corresponding starter
>> > components.
>> >
>> > Thanks,
>> > Gregor
>> >
>> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]>
>> wrote:
>> > >
>> > > Hi Gregor
>> > >
>> > > How is it going with the release?
>> > >
>> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
>> > > <[hidden email]> wrote:
>> > > >
>> > > > I found the issue in the meantime and fixed it on the release
>> branch:
>> > > > https://github.com/apache/camel-spring-boot/commit/e354d5af
>> > > >
>> > > > I am moving forward now and hope to release Camel Spring Boot 3.1.0
>> > > > without further issues.
>> > > >
>> > > > Thanks Andrea for your support!
>> > > >
>> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
>> > > > <[hidden email]> wrote:
>> > > > >
>> > > > > Hi Everyone:
>> > > > >
>> > > > > After creating the Camel 3.1.0 release, I've attempted to create
>> the
>> > > > > Camel Spring Boot 3.1.0 release, but ran into the following issue:
>> > > > >
>> > > > > When running a dry run for release:prepare, I am getting the
>> following error:
>> > > > >
>> > > > > [INFO]
>> ------------------------------------------------------------------------
>> > > > > [INFO] BUILD FAILURE
>> > > > > [INFO]
>> ------------------------------------------------------------------------
>> > > > > [INFO] Total time:  7.711 s
>> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
>> > > > > [INFO]
>> ------------------------------------------------------------------------
>> > > > > [ERROR] Failed to execute goal
>> > > > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
>> > > > > (default-cli) on project spring-boot: The version could not be
>> > > > > updated: ${camel-version} -> [Help 1]
>> > > > >
>> > > > > I am not sure why this happens, but I recall we had a similar
>> issue
>> > > > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
>> > > > >
>> > > > > If you want to take a look, please checkout the release/3.1.0
>> branch
>> > > > > as I needed to make several changes:
>> > > > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
>> > > > >
>> > > > > Thanks in advance,
>> > > > > Gregor
>> > >
>> > >
>> > >
>> > > --
>> > > Claus Ibsen
>> > > -----------------
>> > > http://davsclaus.com @davsclaus
>> > > Camel in Action 2: https://www.manning.com/ibsen2
>>
>
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Gregor Zurowski-2
I've tried this, but it creates a jetty-starter module with some
weird-looking comments with "Dozer". Following is the generated
pom.xml:

===
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.apache.camel.springboot</groupId>
        <artifactId>components-starter</artifactId>
        <version>3.1.0-SNAPSHOT</version>
    </parent>
    <artifactId>camel-jetty-starter</artifactId>
    <packaging>jar</packaging>
<!--    <name>Camel Spring Boot :: Starters :: Dozer</name>-->
<!--    <description>Spring-Boot Starter for Camel Support for the
Dozer type conversion framework</description>-->
    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter</artifactId>
            <version>${spring-boot-version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-jetty</artifactId>
            <version>${camel-version}</version>
        </dependency>
        <!--START OF GENERATED CODE-->
        <dependency>
            <groupId>org.apache.camel.springboot</groupId>
            <artifactId>camel-core-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel.springboot</groupId>
            <artifactId>camel-spring-boot-starter</artifactId>
        </dependency>
        <!--END OF GENERATED CODE-->
    </dependencies>
</project>
===

Although the apt dependency is gone, I don't believe this was properly
generated.

Any ideas?

On Fri, Feb 21, 2020 at 9:47 PM Andrea Cosentino <[hidden email]> wrote:

>
> Or better use the starter-delete and the starte-create. Apt shouldn't be
> there
>
> Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]> ha scritto:
>
> > Maybe you can try to totally remove the starter folder and recreate it
> > from scratch. The generator adds but doesn't remove...
> >
> > Il ven 21 feb 2020, 21:27 Gregor Zurowski <[hidden email]> ha
> > scritto:
> >
> >> Hi Everyone:
> >>
> >> I am currently running in the following issue when building Camel Spring
> >> Boot:
> >>
> >> ===
> >> [INFO] [INFO]
> >> ------------------------------------------------------------------------
> >> [INFO] [INFO] BUILD FAILURE
> >> [INFO] [INFO]
> >> ------------------------------------------------------------------------
> >> [INFO] [INFO] Total time:  08:59 min
> >> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
> >> [INFO] [INFO]
> >> ------------------------------------------------------------------------
> >> [INFO] [WARNING] The requested profile "enable-schemagen" could not be
> >> activated because it does not exist.
> >> [INFO] [WARNING] The requested profile "apt" could not be activated
> >> because it does not exist.
> >> [INFO] [WARNING] The requested profile "hibernate" could not be
> >> activated because it does not exist.
> >> [INFO] [ERROR] Failed to execute goal on project camel-jetty-starter:
> >> Could not resolve dependencies for project
> >> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
> >> Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
> >> (https://repo.maven.apache.org/maven2) -> [Help 1]
> >> ===
> >>
> >> As per our migration guide, the camel-apt module has been deprecated [1].
> >>
> >> The pom.xml for camel-jetty-starter contains the following dependency:
> >>
> >> ===
> >>     <!--START OF GENERATED CODE-->
> >>     [...]
> >>     <dependency>
> >>       <groupId>org.apache.camel</groupId>
> >>       <artifactId>apt</artifactId>
> >>       <version>${camel-version}</version>
> >>     </dependency>
> >>     <!--END OF GENERATED CODE-->
> >> ===
> >>
> >> Please note that the dependency is part of the generated code. Can you
> >> please point me in the right direction on how to properly replace this
> >> dependency with the code provided in the migration guide?
> >>
> >> Thanks in advance,
> >> Gregor
> >>
> >> [1]
> >> https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
> >>
> >> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
> >> <[hidden email]> wrote:
> >> >
> >> > Hi,
> >> >
> >> > There are still multiple issues with the Spring Boot release and I
> >> > will look further into those later today. The current problems are
> >> > mainly misalignments between Camel and the corresponding starter
> >> > components.
> >> >
> >> > Thanks,
> >> > Gregor
> >> >
> >> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]>
> >> wrote:
> >> > >
> >> > > Hi Gregor
> >> > >
> >> > > How is it going with the release?
> >> > >
> >> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> >> > > <[hidden email]> wrote:
> >> > > >
> >> > > > I found the issue in the meantime and fixed it on the release
> >> branch:
> >> > > > https://github.com/apache/camel-spring-boot/commit/e354d5af
> >> > > >
> >> > > > I am moving forward now and hope to release Camel Spring Boot 3.1.0
> >> > > > without further issues.
> >> > > >
> >> > > > Thanks Andrea for your support!
> >> > > >
> >> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> >> > > > <[hidden email]> wrote:
> >> > > > >
> >> > > > > Hi Everyone:
> >> > > > >
> >> > > > > After creating the Camel 3.1.0 release, I've attempted to create
> >> the
> >> > > > > Camel Spring Boot 3.1.0 release, but ran into the following issue:
> >> > > > >
> >> > > > > When running a dry run for release:prepare, I am getting the
> >> following error:
> >> > > > >
> >> > > > > [INFO]
> >> ------------------------------------------------------------------------
> >> > > > > [INFO] BUILD FAILURE
> >> > > > > [INFO]
> >> ------------------------------------------------------------------------
> >> > > > > [INFO] Total time:  7.711 s
> >> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> >> > > > > [INFO]
> >> ------------------------------------------------------------------------
> >> > > > > [ERROR] Failed to execute goal
> >> > > > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> >> > > > > (default-cli) on project spring-boot: The version could not be
> >> > > > > updated: ${camel-version} -> [Help 1]
> >> > > > >
> >> > > > > I am not sure why this happens, but I recall we had a similar
> >> issue
> >> > > > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> >> > > > >
> >> > > > > If you want to take a look, please checkout the release/3.1.0
> >> branch
> >> > > > > as I needed to make several changes:
> >> > > > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> >> > > > >
> >> > > > > Thanks in advance,
> >> > > > > Gregor
> >> > >
> >> > >
> >> > >
> >> > > --
> >> > > Claus Ibsen
> >> > > -----------------
> >> > > http://davsclaus.com @davsclaus
> >> > > Camel in Action 2: https://www.manning.com/ibsen2
> >>
> >
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Andrea Cosentino-3
To me this is not a blocker for the release. The starter looks good in
terms of dependency. Let's just open an issue tracking this

Il ven 21 feb 2020, 22:12 Gregor Zurowski <[hidden email]> ha
scritto:

> I've tried this, but it creates a jetty-starter module with some
> weird-looking comments with "Dozer". Following is the generated
> pom.xml:
>
> ===
> <project xmlns="http://maven.apache.org/POM/4.0.0"
> xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
> http://maven.apache.org/maven-v4_0_0.xsd">
>     <modelVersion>4.0.0</modelVersion>
>     <parent>
>         <groupId>org.apache.camel.springboot</groupId>
>         <artifactId>components-starter</artifactId>
>         <version>3.1.0-SNAPSHOT</version>
>     </parent>
>     <artifactId>camel-jetty-starter</artifactId>
>     <packaging>jar</packaging>
> <!--    <name>Camel Spring Boot :: Starters :: Dozer</name>-->
> <!--    <description>Spring-Boot Starter for Camel Support for the
> Dozer type conversion framework</description>-->
>     <dependencies>
>         <dependency>
>             <groupId>org.springframework.boot</groupId>
>             <artifactId>spring-boot-starter</artifactId>
>             <version>${spring-boot-version}</version>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.camel</groupId>
>             <artifactId>camel-jetty</artifactId>
>             <version>${camel-version}</version>
>         </dependency>
>         <!--START OF GENERATED CODE-->
>         <dependency>
>             <groupId>org.apache.camel.springboot</groupId>
>             <artifactId>camel-core-starter</artifactId>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.camel.springboot</groupId>
>             <artifactId>camel-spring-boot-starter</artifactId>
>         </dependency>
>         <!--END OF GENERATED CODE-->
>     </dependencies>
> </project>
> ===
>
> Although the apt dependency is gone, I don't believe this was properly
> generated.
>
> Any ideas?
>
> On Fri, Feb 21, 2020 at 9:47 PM Andrea Cosentino <[hidden email]>
> wrote:
> >
> > Or better use the starter-delete and the starte-create. Apt shouldn't be
> > there
> >
> > Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]> ha
> scritto:
> >
> > > Maybe you can try to totally remove the starter folder and recreate it
> > > from scratch. The generator adds but doesn't remove...
> > >
> > > Il ven 21 feb 2020, 21:27 Gregor Zurowski <[hidden email]>
> ha
> > > scritto:
> > >
> > >> Hi Everyone:
> > >>
> > >> I am currently running in the following issue when building Camel
> Spring
> > >> Boot:
> > >>
> > >> ===
> > >> [INFO] [INFO]
> > >>
> ------------------------------------------------------------------------
> > >> [INFO] [INFO] BUILD FAILURE
> > >> [INFO] [INFO]
> > >>
> ------------------------------------------------------------------------
> > >> [INFO] [INFO] Total time:  08:59 min
> > >> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
> > >> [INFO] [INFO]
> > >>
> ------------------------------------------------------------------------
> > >> [INFO] [WARNING] The requested profile "enable-schemagen" could not be
> > >> activated because it does not exist.
> > >> [INFO] [WARNING] The requested profile "apt" could not be activated
> > >> because it does not exist.
> > >> [INFO] [WARNING] The requested profile "hibernate" could not be
> > >> activated because it does not exist.
> > >> [INFO] [ERROR] Failed to execute goal on project camel-jetty-starter:
> > >> Could not resolve dependencies for project
> > >> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
> > >> Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
> > >> (https://repo.maven.apache.org/maven2) -> [Help 1]
> > >> ===
> > >>
> > >> As per our migration guide, the camel-apt module has been deprecated
> [1].
> > >>
> > >> The pom.xml for camel-jetty-starter contains the following dependency:
> > >>
> > >> ===
> > >>     <!--START OF GENERATED CODE-->
> > >>     [...]
> > >>     <dependency>
> > >>       <groupId>org.apache.camel</groupId>
> > >>       <artifactId>apt</artifactId>
> > >>       <version>${camel-version}</version>
> > >>     </dependency>
> > >>     <!--END OF GENERATED CODE-->
> > >> ===
> > >>
> > >> Please note that the dependency is part of the generated code. Can you
> > >> please point me in the right direction on how to properly replace this
> > >> dependency with the code provided in the migration guide?
> > >>
> > >> Thanks in advance,
> > >> Gregor
> > >>
> > >> [1]
> > >>
> https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
> > >>
> > >> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
> > >> <[hidden email]> wrote:
> > >> >
> > >> > Hi,
> > >> >
> > >> > There are still multiple issues with the Spring Boot release and I
> > >> > will look further into those later today. The current problems are
> > >> > mainly misalignments between Camel and the corresponding starter
> > >> > components.
> > >> >
> > >> > Thanks,
> > >> > Gregor
> > >> >
> > >> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]>
> > >> wrote:
> > >> > >
> > >> > > Hi Gregor
> > >> > >
> > >> > > How is it going with the release?
> > >> > >
> > >> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> > >> > > <[hidden email]> wrote:
> > >> > > >
> > >> > > > I found the issue in the meantime and fixed it on the release
> > >> branch:
> > >> > > > https://github.com/apache/camel-spring-boot/commit/e354d5af
> > >> > > >
> > >> > > > I am moving forward now and hope to release Camel Spring Boot
> 3.1.0
> > >> > > > without further issues.
> > >> > > >
> > >> > > > Thanks Andrea for your support!
> > >> > > >
> > >> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> > >> > > > <[hidden email]> wrote:
> > >> > > > >
> > >> > > > > Hi Everyone:
> > >> > > > >
> > >> > > > > After creating the Camel 3.1.0 release, I've attempted to
> create
> > >> the
> > >> > > > > Camel Spring Boot 3.1.0 release, but ran into the following
> issue:
> > >> > > > >
> > >> > > > > When running a dry run for release:prepare, I am getting the
> > >> following error:
> > >> > > > >
> > >> > > > > [INFO]
> > >>
> ------------------------------------------------------------------------
> > >> > > > > [INFO] BUILD FAILURE
> > >> > > > > [INFO]
> > >>
> ------------------------------------------------------------------------
> > >> > > > > [INFO] Total time:  7.711 s
> > >> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > >> > > > > [INFO]
> > >>
> ------------------------------------------------------------------------
> > >> > > > > [ERROR] Failed to execute goal
> > >> > > > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > >> > > > > (default-cli) on project spring-boot: The version could not be
> > >> > > > > updated: ${camel-version} -> [Help 1]
> > >> > > > >
> > >> > > > > I am not sure why this happens, but I recall we had a similar
> > >> issue
> > >> > > > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> > >> > > > >
> > >> > > > > If you want to take a look, please checkout the release/3.1.0
> > >> branch
> > >> > > > > as I needed to make several changes:
> > >> > > > >
> https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> > >> > > > >
> > >> > > > > Thanks in advance,
> > >> > > > > Gregor
> > >> > >
> > >> > >
> > >> > >
> > >> > > --
> > >> > > Claus Ibsen
> > >> > > -----------------
> > >> > > http://davsclaus.com @davsclaus
> > >> > > Camel in Action 2: https://www.manning.com/ibsen2
> > >>
> > >
>
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Gregor Zurowski-2
After building the module, the camel-apt dependency got added again:

===
    <!--START OF GENERATED CODE-->
    <dependency>
      <groupId>org.apache.camel.springboot</groupId>
      <artifactId>camel-core-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.camel.springboot</groupId>
      <artifactId>camel-spring-boot-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.camel</groupId>
      <artifactId>apt</artifactId>
      <version>${camel-version}</version>
    </dependency>
    <!--END OF GENERATED CODE-->
===

On Fri, Feb 21, 2020 at 10:14 PM Andrea Cosentino <[hidden email]> wrote:

>
> To me this is not a blocker for the release. The starter looks good in
> terms of dependency. Let's just open an issue tracking this
>
> Il ven 21 feb 2020, 22:12 Gregor Zurowski <[hidden email]> ha
> scritto:
>
> > I've tried this, but it creates a jetty-starter module with some
> > weird-looking comments with "Dozer". Following is the generated
> > pom.xml:
> >
> > ===
> > <project xmlns="http://maven.apache.org/POM/4.0.0"
> > xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> > xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
> > http://maven.apache.org/maven-v4_0_0.xsd">
> >     <modelVersion>4.0.0</modelVersion>
> >     <parent>
> >         <groupId>org.apache.camel.springboot</groupId>
> >         <artifactId>components-starter</artifactId>
> >         <version>3.1.0-SNAPSHOT</version>
> >     </parent>
> >     <artifactId>camel-jetty-starter</artifactId>
> >     <packaging>jar</packaging>
> > <!--    <name>Camel Spring Boot :: Starters :: Dozer</name>-->
> > <!--    <description>Spring-Boot Starter for Camel Support for the
> > Dozer type conversion framework</description>-->
> >     <dependencies>
> >         <dependency>
> >             <groupId>org.springframework.boot</groupId>
> >             <artifactId>spring-boot-starter</artifactId>
> >             <version>${spring-boot-version}</version>
> >         </dependency>
> >         <dependency>
> >             <groupId>org.apache.camel</groupId>
> >             <artifactId>camel-jetty</artifactId>
> >             <version>${camel-version}</version>
> >         </dependency>
> >         <!--START OF GENERATED CODE-->
> >         <dependency>
> >             <groupId>org.apache.camel.springboot</groupId>
> >             <artifactId>camel-core-starter</artifactId>
> >         </dependency>
> >         <dependency>
> >             <groupId>org.apache.camel.springboot</groupId>
> >             <artifactId>camel-spring-boot-starter</artifactId>
> >         </dependency>
> >         <!--END OF GENERATED CODE-->
> >     </dependencies>
> > </project>
> > ===
> >
> > Although the apt dependency is gone, I don't believe this was properly
> > generated.
> >
> > Any ideas?
> >
> > On Fri, Feb 21, 2020 at 9:47 PM Andrea Cosentino <[hidden email]>
> > wrote:
> > >
> > > Or better use the starter-delete and the starte-create. Apt shouldn't be
> > > there
> > >
> > > Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]> ha
> > scritto:
> > >
> > > > Maybe you can try to totally remove the starter folder and recreate it
> > > > from scratch. The generator adds but doesn't remove...
> > > >
> > > > Il ven 21 feb 2020, 21:27 Gregor Zurowski <[hidden email]>
> > ha
> > > > scritto:
> > > >
> > > >> Hi Everyone:
> > > >>
> > > >> I am currently running in the following issue when building Camel
> > Spring
> > > >> Boot:
> > > >>
> > > >> ===
> > > >> [INFO] [INFO]
> > > >>
> > ------------------------------------------------------------------------
> > > >> [INFO] [INFO] BUILD FAILURE
> > > >> [INFO] [INFO]
> > > >>
> > ------------------------------------------------------------------------
> > > >> [INFO] [INFO] Total time:  08:59 min
> > > >> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
> > > >> [INFO] [INFO]
> > > >>
> > ------------------------------------------------------------------------
> > > >> [INFO] [WARNING] The requested profile "enable-schemagen" could not be
> > > >> activated because it does not exist.
> > > >> [INFO] [WARNING] The requested profile "apt" could not be activated
> > > >> because it does not exist.
> > > >> [INFO] [WARNING] The requested profile "hibernate" could not be
> > > >> activated because it does not exist.
> > > >> [INFO] [ERROR] Failed to execute goal on project camel-jetty-starter:
> > > >> Could not resolve dependencies for project
> > > >> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
> > > >> Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
> > > >> (https://repo.maven.apache.org/maven2) -> [Help 1]
> > > >> ===
> > > >>
> > > >> As per our migration guide, the camel-apt module has been deprecated
> > [1].
> > > >>
> > > >> The pom.xml for camel-jetty-starter contains the following dependency:
> > > >>
> > > >> ===
> > > >>     <!--START OF GENERATED CODE-->
> > > >>     [...]
> > > >>     <dependency>
> > > >>       <groupId>org.apache.camel</groupId>
> > > >>       <artifactId>apt</artifactId>
> > > >>       <version>${camel-version}</version>
> > > >>     </dependency>
> > > >>     <!--END OF GENERATED CODE-->
> > > >> ===
> > > >>
> > > >> Please note that the dependency is part of the generated code. Can you
> > > >> please point me in the right direction on how to properly replace this
> > > >> dependency with the code provided in the migration guide?
> > > >>
> > > >> Thanks in advance,
> > > >> Gregor
> > > >>
> > > >> [1]
> > > >>
> > https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
> > > >>
> > > >> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
> > > >> <[hidden email]> wrote:
> > > >> >
> > > >> > Hi,
> > > >> >
> > > >> > There are still multiple issues with the Spring Boot release and I
> > > >> > will look further into those later today. The current problems are
> > > >> > mainly misalignments between Camel and the corresponding starter
> > > >> > components.
> > > >> >
> > > >> > Thanks,
> > > >> > Gregor
> > > >> >
> > > >> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]>
> > > >> wrote:
> > > >> > >
> > > >> > > Hi Gregor
> > > >> > >
> > > >> > > How is it going with the release?
> > > >> > >
> > > >> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> > > >> > > <[hidden email]> wrote:
> > > >> > > >
> > > >> > > > I found the issue in the meantime and fixed it on the release
> > > >> branch:
> > > >> > > > https://github.com/apache/camel-spring-boot/commit/e354d5af
> > > >> > > >
> > > >> > > > I am moving forward now and hope to release Camel Spring Boot
> > 3.1.0
> > > >> > > > without further issues.
> > > >> > > >
> > > >> > > > Thanks Andrea for your support!
> > > >> > > >
> > > >> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> > > >> > > > <[hidden email]> wrote:
> > > >> > > > >
> > > >> > > > > Hi Everyone:
> > > >> > > > >
> > > >> > > > > After creating the Camel 3.1.0 release, I've attempted to
> > create
> > > >> the
> > > >> > > > > Camel Spring Boot 3.1.0 release, but ran into the following
> > issue:
> > > >> > > > >
> > > >> > > > > When running a dry run for release:prepare, I am getting the
> > > >> following error:
> > > >> > > > >
> > > >> > > > > [INFO]
> > > >>
> > ------------------------------------------------------------------------
> > > >> > > > > [INFO] BUILD FAILURE
> > > >> > > > > [INFO]
> > > >>
> > ------------------------------------------------------------------------
> > > >> > > > > [INFO] Total time:  7.711 s
> > > >> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > > >> > > > > [INFO]
> > > >>
> > ------------------------------------------------------------------------
> > > >> > > > > [ERROR] Failed to execute goal
> > > >> > > > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > > >> > > > > (default-cli) on project spring-boot: The version could not be
> > > >> > > > > updated: ${camel-version} -> [Help 1]
> > > >> > > > >
> > > >> > > > > I am not sure why this happens, but I recall we had a similar
> > > >> issue
> > > >> > > > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> > > >> > > > >
> > > >> > > > > If you want to take a look, please checkout the release/3.1.0
> > > >> branch
> > > >> > > > > as I needed to make several changes:
> > > >> > > > >
> > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> > > >> > > > >
> > > >> > > > > Thanks in advance,
> > > >> > > > > Gregor
> > > >> > >
> > > >> > >
> > > >> > >
> > > >> > > --
> > > >> > > Claus Ibsen
> > > >> > > -----------------
> > > >> > > http://davsclaus.com @davsclaus
> > > >> > > Camel in Action 2: https://www.manning.com/ibsen2
> > > >>
> > > >
> >
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Andrea Cosentino-3
The repo for camel has been closed. Let's review the generator and
understand the problem. Then we can cut the release again

Il ven 21 feb 2020, 22:24 Gregor Zurowski <[hidden email]> ha
scritto:

> After building the module, the camel-apt dependency got added again:
>
> ===
>     <!--START OF GENERATED CODE-->
>     <dependency>
>       <groupId>org.apache.camel.springboot</groupId>
>       <artifactId>camel-core-starter</artifactId>
>     </dependency>
>     <dependency>
>       <groupId>org.apache.camel.springboot</groupId>
>       <artifactId>camel-spring-boot-starter</artifactId>
>     </dependency>
>     <dependency>
>       <groupId>org.apache.camel</groupId>
>       <artifactId>apt</artifactId>
>       <version>${camel-version}</version>
>     </dependency>
>     <!--END OF GENERATED CODE-->
> ===
>
> On Fri, Feb 21, 2020 at 10:14 PM Andrea Cosentino <[hidden email]>
> wrote:
> >
> > To me this is not a blocker for the release. The starter looks good in
> > terms of dependency. Let's just open an issue tracking this
> >
> > Il ven 21 feb 2020, 22:12 Gregor Zurowski <[hidden email]> ha
> > scritto:
> >
> > > I've tried this, but it creates a jetty-starter module with some
> > > weird-looking comments with "Dozer". Following is the generated
> > > pom.xml:
> > >
> > > ===
> > > <project xmlns="http://maven.apache.org/POM/4.0.0"
> > > xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> > > xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
> > > http://maven.apache.org/maven-v4_0_0.xsd">
> > >     <modelVersion>4.0.0</modelVersion>
> > >     <parent>
> > >         <groupId>org.apache.camel.springboot</groupId>
> > >         <artifactId>components-starter</artifactId>
> > >         <version>3.1.0-SNAPSHOT</version>
> > >     </parent>
> > >     <artifactId>camel-jetty-starter</artifactId>
> > >     <packaging>jar</packaging>
> > > <!--    <name>Camel Spring Boot :: Starters :: Dozer</name>-->
> > > <!--    <description>Spring-Boot Starter for Camel Support for the
> > > Dozer type conversion framework</description>-->
> > >     <dependencies>
> > >         <dependency>
> > >             <groupId>org.springframework.boot</groupId>
> > >             <artifactId>spring-boot-starter</artifactId>
> > >             <version>${spring-boot-version}</version>
> > >         </dependency>
> > >         <dependency>
> > >             <groupId>org.apache.camel</groupId>
> > >             <artifactId>camel-jetty</artifactId>
> > >             <version>${camel-version}</version>
> > >         </dependency>
> > >         <!--START OF GENERATED CODE-->
> > >         <dependency>
> > >             <groupId>org.apache.camel.springboot</groupId>
> > >             <artifactId>camel-core-starter</artifactId>
> > >         </dependency>
> > >         <dependency>
> > >             <groupId>org.apache.camel.springboot</groupId>
> > >             <artifactId>camel-spring-boot-starter</artifactId>
> > >         </dependency>
> > >         <!--END OF GENERATED CODE-->
> > >     </dependencies>
> > > </project>
> > > ===
> > >
> > > Although the apt dependency is gone, I don't believe this was properly
> > > generated.
> > >
> > > Any ideas?
> > >
> > > On Fri, Feb 21, 2020 at 9:47 PM Andrea Cosentino <[hidden email]>
> > > wrote:
> > > >
> > > > Or better use the starter-delete and the starte-create. Apt
> shouldn't be
> > > > there
> > > >
> > > > Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]> ha
> > > scritto:
> > > >
> > > > > Maybe you can try to totally remove the starter folder and
> recreate it
> > > > > from scratch. The generator adds but doesn't remove...
> > > > >
> > > > > Il ven 21 feb 2020, 21:27 Gregor Zurowski <
> [hidden email]>
> > > ha
> > > > > scritto:
> > > > >
> > > > >> Hi Everyone:
> > > > >>
> > > > >> I am currently running in the following issue when building Camel
> > > Spring
> > > > >> Boot:
> > > > >>
> > > > >> ===
> > > > >> [INFO] [INFO]
> > > > >>
> > >
> ------------------------------------------------------------------------
> > > > >> [INFO] [INFO] BUILD FAILURE
> > > > >> [INFO] [INFO]
> > > > >>
> > >
> ------------------------------------------------------------------------
> > > > >> [INFO] [INFO] Total time:  08:59 min
> > > > >> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
> > > > >> [INFO] [INFO]
> > > > >>
> > >
> ------------------------------------------------------------------------
> > > > >> [INFO] [WARNING] The requested profile "enable-schemagen" could
> not be
> > > > >> activated because it does not exist.
> > > > >> [INFO] [WARNING] The requested profile "apt" could not be
> activated
> > > > >> because it does not exist.
> > > > >> [INFO] [WARNING] The requested profile "hibernate" could not be
> > > > >> activated because it does not exist.
> > > > >> [INFO] [ERROR] Failed to execute goal on project
> camel-jetty-starter:
> > > > >> Could not resolve dependencies for project
> > > > >>
> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
> > > > >> Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
> > > > >> (https://repo.maven.apache.org/maven2) -> [Help 1]
> > > > >> ===
> > > > >>
> > > > >> As per our migration guide, the camel-apt module has been
> deprecated
> > > [1].
> > > > >>
> > > > >> The pom.xml for camel-jetty-starter contains the following
> dependency:
> > > > >>
> > > > >> ===
> > > > >>     <!--START OF GENERATED CODE-->
> > > > >>     [...]
> > > > >>     <dependency>
> > > > >>       <groupId>org.apache.camel</groupId>
> > > > >>       <artifactId>apt</artifactId>
> > > > >>       <version>${camel-version}</version>
> > > > >>     </dependency>
> > > > >>     <!--END OF GENERATED CODE-->
> > > > >> ===
> > > > >>
> > > > >> Please note that the dependency is part of the generated code.
> Can you
> > > > >> please point me in the right direction on how to properly replace
> this
> > > > >> dependency with the code provided in the migration guide?
> > > > >>
> > > > >> Thanks in advance,
> > > > >> Gregor
> > > > >>
> > > > >> [1]
> > > > >>
> > >
> https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
> > > > >>
> > > > >> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
> > > > >> <[hidden email]> wrote:
> > > > >> >
> > > > >> > Hi,
> > > > >> >
> > > > >> > There are still multiple issues with the Spring Boot release
> and I
> > > > >> > will look further into those later today. The current problems
> are
> > > > >> > mainly misalignments between Camel and the corresponding starter
> > > > >> > components.
> > > > >> >
> > > > >> > Thanks,
> > > > >> > Gregor
> > > > >> >
> > > > >> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <
> [hidden email]>
> > > > >> wrote:
> > > > >> > >
> > > > >> > > Hi Gregor
> > > > >> > >
> > > > >> > > How is it going with the release?
> > > > >> > >
> > > > >> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> > > > >> > > <[hidden email]> wrote:
> > > > >> > > >
> > > > >> > > > I found the issue in the meantime and fixed it on the
> release
> > > > >> branch:
> > > > >> > > > https://github.com/apache/camel-spring-boot/commit/e354d5af
> > > > >> > > >
> > > > >> > > > I am moving forward now and hope to release Camel Spring
> Boot
> > > 3.1.0
> > > > >> > > > without further issues.
> > > > >> > > >
> > > > >> > > > Thanks Andrea for your support!
> > > > >> > > >
> > > > >> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> > > > >> > > > <[hidden email]> wrote:
> > > > >> > > > >
> > > > >> > > > > Hi Everyone:
> > > > >> > > > >
> > > > >> > > > > After creating the Camel 3.1.0 release, I've attempted to
> > > create
> > > > >> the
> > > > >> > > > > Camel Spring Boot 3.1.0 release, but ran into the
> following
> > > issue:
> > > > >> > > > >
> > > > >> > > > > When running a dry run for release:prepare, I am getting
> the
> > > > >> following error:
> > > > >> > > > >
> > > > >> > > > > [INFO]
> > > > >>
> > >
> ------------------------------------------------------------------------
> > > > >> > > > > [INFO] BUILD FAILURE
> > > > >> > > > > [INFO]
> > > > >>
> > >
> ------------------------------------------------------------------------
> > > > >> > > > > [INFO] Total time:  7.711 s
> > > > >> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > > > >> > > > > [INFO]
> > > > >>
> > >
> ------------------------------------------------------------------------
> > > > >> > > > > [ERROR] Failed to execute goal
> > > > >> > > > >
> org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > > > >> > > > > (default-cli) on project spring-boot: The version could
> not be
> > > > >> > > > > updated: ${camel-version} -> [Help 1]
> > > > >> > > > >
> > > > >> > > > > I am not sure why this happens, but I recall we had a
> similar
> > > > >> issue
> > > > >> > > > > fixed by Guillaume when we prepare the Camel 3.1.0
> release.
> > > > >> > > > >
> > > > >> > > > > If you want to take a look, please checkout the
> release/3.1.0
> > > > >> branch
> > > > >> > > > > as I needed to make several changes:
> > > > >> > > > >
> > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> > > > >> > > > >
> > > > >> > > > > Thanks in advance,
> > > > >> > > > > Gregor
> > > > >> > >
> > > > >> > >
> > > > >> > >
> > > > >> > > --
> > > > >> > > Claus Ibsen
> > > > >> > > -----------------
> > > > >> > > http://davsclaus.com @davsclaus
> > > > >> > > Camel in Action 2: https://www.manning.com/ibsen2
> > > > >>
> > > > >
> > >
>
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Claus Ibsen-2
In reply to this post by Gregor Zurowski-2
Hi Gregor

Thanks for reporting. I have reproduced your issues and are working on
fixing them.
There is a few others after the apt fix.

Work on a branch which I will push then you can cherry pick to your
release branch and hopefully build the release.

On Fri, Feb 21, 2020 at 10:24 PM Gregor Zurowski
<[hidden email]> wrote:

>
> After building the module, the camel-apt dependency got added again:
>
> ===
>     <!--START OF GENERATED CODE-->
>     <dependency>
>       <groupId>org.apache.camel.springboot</groupId>
>       <artifactId>camel-core-starter</artifactId>
>     </dependency>
>     <dependency>
>       <groupId>org.apache.camel.springboot</groupId>
>       <artifactId>camel-spring-boot-starter</artifactId>
>     </dependency>
>     <dependency>
>       <groupId>org.apache.camel</groupId>
>       <artifactId>apt</artifactId>
>       <version>${camel-version}</version>
>     </dependency>
>     <!--END OF GENERATED CODE-->
> ===
>
> On Fri, Feb 21, 2020 at 10:14 PM Andrea Cosentino <[hidden email]> wrote:
> >
> > To me this is not a blocker for the release. The starter looks good in
> > terms of dependency. Let's just open an issue tracking this
> >
> > Il ven 21 feb 2020, 22:12 Gregor Zurowski <[hidden email]> ha
> > scritto:
> >
> > > I've tried this, but it creates a jetty-starter module with some
> > > weird-looking comments with "Dozer". Following is the generated
> > > pom.xml:
> > >
> > > ===
> > > <project xmlns="http://maven.apache.org/POM/4.0.0"
> > > xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> > > xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
> > > http://maven.apache.org/maven-v4_0_0.xsd">
> > >     <modelVersion>4.0.0</modelVersion>
> > >     <parent>
> > >         <groupId>org.apache.camel.springboot</groupId>
> > >         <artifactId>components-starter</artifactId>
> > >         <version>3.1.0-SNAPSHOT</version>
> > >     </parent>
> > >     <artifactId>camel-jetty-starter</artifactId>
> > >     <packaging>jar</packaging>
> > > <!--    <name>Camel Spring Boot :: Starters :: Dozer</name>-->
> > > <!--    <description>Spring-Boot Starter for Camel Support for the
> > > Dozer type conversion framework</description>-->
> > >     <dependencies>
> > >         <dependency>
> > >             <groupId>org.springframework.boot</groupId>
> > >             <artifactId>spring-boot-starter</artifactId>
> > >             <version>${spring-boot-version}</version>
> > >         </dependency>
> > >         <dependency>
> > >             <groupId>org.apache.camel</groupId>
> > >             <artifactId>camel-jetty</artifactId>
> > >             <version>${camel-version}</version>
> > >         </dependency>
> > >         <!--START OF GENERATED CODE-->
> > >         <dependency>
> > >             <groupId>org.apache.camel.springboot</groupId>
> > >             <artifactId>camel-core-starter</artifactId>
> > >         </dependency>
> > >         <dependency>
> > >             <groupId>org.apache.camel.springboot</groupId>
> > >             <artifactId>camel-spring-boot-starter</artifactId>
> > >         </dependency>
> > >         <!--END OF GENERATED CODE-->
> > >     </dependencies>
> > > </project>
> > > ===
> > >
> > > Although the apt dependency is gone, I don't believe this was properly
> > > generated.
> > >
> > > Any ideas?
> > >
> > > On Fri, Feb 21, 2020 at 9:47 PM Andrea Cosentino <[hidden email]>
> > > wrote:
> > > >
> > > > Or better use the starter-delete and the starte-create. Apt shouldn't be
> > > > there
> > > >
> > > > Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]> ha
> > > scritto:
> > > >
> > > > > Maybe you can try to totally remove the starter folder and recreate it
> > > > > from scratch. The generator adds but doesn't remove...
> > > > >
> > > > > Il ven 21 feb 2020, 21:27 Gregor Zurowski <[hidden email]>
> > > ha
> > > > > scritto:
> > > > >
> > > > >> Hi Everyone:
> > > > >>
> > > > >> I am currently running in the following issue when building Camel
> > > Spring
> > > > >> Boot:
> > > > >>
> > > > >> ===
> > > > >> [INFO] [INFO]
> > > > >>
> > > ------------------------------------------------------------------------
> > > > >> [INFO] [INFO] BUILD FAILURE
> > > > >> [INFO] [INFO]
> > > > >>
> > > ------------------------------------------------------------------------
> > > > >> [INFO] [INFO] Total time:  08:59 min
> > > > >> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
> > > > >> [INFO] [INFO]
> > > > >>
> > > ------------------------------------------------------------------------
> > > > >> [INFO] [WARNING] The requested profile "enable-schemagen" could not be
> > > > >> activated because it does not exist.
> > > > >> [INFO] [WARNING] The requested profile "apt" could not be activated
> > > > >> because it does not exist.
> > > > >> [INFO] [WARNING] The requested profile "hibernate" could not be
> > > > >> activated because it does not exist.
> > > > >> [INFO] [ERROR] Failed to execute goal on project camel-jetty-starter:
> > > > >> Could not resolve dependencies for project
> > > > >> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
> > > > >> Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
> > > > >> (https://repo.maven.apache.org/maven2) -> [Help 1]
> > > > >> ===
> > > > >>
> > > > >> As per our migration guide, the camel-apt module has been deprecated
> > > [1].
> > > > >>
> > > > >> The pom.xml for camel-jetty-starter contains the following dependency:
> > > > >>
> > > > >> ===
> > > > >>     <!--START OF GENERATED CODE-->
> > > > >>     [...]
> > > > >>     <dependency>
> > > > >>       <groupId>org.apache.camel</groupId>
> > > > >>       <artifactId>apt</artifactId>
> > > > >>       <version>${camel-version}</version>
> > > > >>     </dependency>
> > > > >>     <!--END OF GENERATED CODE-->
> > > > >> ===
> > > > >>
> > > > >> Please note that the dependency is part of the generated code. Can you
> > > > >> please point me in the right direction on how to properly replace this
> > > > >> dependency with the code provided in the migration guide?
> > > > >>
> > > > >> Thanks in advance,
> > > > >> Gregor
> > > > >>
> > > > >> [1]
> > > > >>
> > > https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
> > > > >>
> > > > >> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
> > > > >> <[hidden email]> wrote:
> > > > >> >
> > > > >> > Hi,
> > > > >> >
> > > > >> > There are still multiple issues with the Spring Boot release and I
> > > > >> > will look further into those later today. The current problems are
> > > > >> > mainly misalignments between Camel and the corresponding starter
> > > > >> > components.
> > > > >> >
> > > > >> > Thanks,
> > > > >> > Gregor
> > > > >> >
> > > > >> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]>
> > > > >> wrote:
> > > > >> > >
> > > > >> > > Hi Gregor
> > > > >> > >
> > > > >> > > How is it going with the release?
> > > > >> > >
> > > > >> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> > > > >> > > <[hidden email]> wrote:
> > > > >> > > >
> > > > >> > > > I found the issue in the meantime and fixed it on the release
> > > > >> branch:
> > > > >> > > > https://github.com/apache/camel-spring-boot/commit/e354d5af
> > > > >> > > >
> > > > >> > > > I am moving forward now and hope to release Camel Spring Boot
> > > 3.1.0
> > > > >> > > > without further issues.
> > > > >> > > >
> > > > >> > > > Thanks Andrea for your support!
> > > > >> > > >
> > > > >> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> > > > >> > > > <[hidden email]> wrote:
> > > > >> > > > >
> > > > >> > > > > Hi Everyone:
> > > > >> > > > >
> > > > >> > > > > After creating the Camel 3.1.0 release, I've attempted to
> > > create
> > > > >> the
> > > > >> > > > > Camel Spring Boot 3.1.0 release, but ran into the following
> > > issue:
> > > > >> > > > >
> > > > >> > > > > When running a dry run for release:prepare, I am getting the
> > > > >> following error:
> > > > >> > > > >
> > > > >> > > > > [INFO]
> > > > >>
> > > ------------------------------------------------------------------------
> > > > >> > > > > [INFO] BUILD FAILURE
> > > > >> > > > > [INFO]
> > > > >>
> > > ------------------------------------------------------------------------
> > > > >> > > > > [INFO] Total time:  7.711 s
> > > > >> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > > > >> > > > > [INFO]
> > > > >>
> > > ------------------------------------------------------------------------
> > > > >> > > > > [ERROR] Failed to execute goal
> > > > >> > > > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > > > >> > > > > (default-cli) on project spring-boot: The version could not be
> > > > >> > > > > updated: ${camel-version} -> [Help 1]
> > > > >> > > > >
> > > > >> > > > > I am not sure why this happens, but I recall we had a similar
> > > > >> issue
> > > > >> > > > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> > > > >> > > > >
> > > > >> > > > > If you want to take a look, please checkout the release/3.1.0
> > > > >> branch
> > > > >> > > > > as I needed to make several changes:
> > > > >> > > > >
> > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> > > > >> > > > >
> > > > >> > > > > Thanks in advance,
> > > > >> > > > > Gregor
> > > > >> > >
> > > > >> > >
> > > > >> > >
> > > > >> > > --
> > > > >> > > Claus Ibsen
> > > > >> > > -----------------
> > > > >> > > http://davsclaus.com @davsclaus
> > > > >> > > Camel in Action 2: https://www.manning.com/ibsen2
> > > > >>
> > > > >
> > >



--
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Andrea Cosentino-3
Great! We'll need to merge back a lot of stuff on master after the release.

Il sab 22 feb 2020, 08:25 Claus Ibsen <[hidden email]> ha scritto:

> Hi Gregor
>
> Thanks for reporting. I have reproduced your issues and are working on
> fixing them.
> There is a few others after the apt fix.
>
> Work on a branch which I will push then you can cherry pick to your
> release branch and hopefully build the release.
>
> On Fri, Feb 21, 2020 at 10:24 PM Gregor Zurowski
> <[hidden email]> wrote:
> >
> > After building the module, the camel-apt dependency got added again:
> >
> > ===
> >     <!--START OF GENERATED CODE-->
> >     <dependency>
> >       <groupId>org.apache.camel.springboot</groupId>
> >       <artifactId>camel-core-starter</artifactId>
> >     </dependency>
> >     <dependency>
> >       <groupId>org.apache.camel.springboot</groupId>
> >       <artifactId>camel-spring-boot-starter</artifactId>
> >     </dependency>
> >     <dependency>
> >       <groupId>org.apache.camel</groupId>
> >       <artifactId>apt</artifactId>
> >       <version>${camel-version}</version>
> >     </dependency>
> >     <!--END OF GENERATED CODE-->
> > ===
> >
> > On Fri, Feb 21, 2020 at 10:14 PM Andrea Cosentino <[hidden email]>
> wrote:
> > >
> > > To me this is not a blocker for the release. The starter looks good in
> > > terms of dependency. Let's just open an issue tracking this
> > >
> > > Il ven 21 feb 2020, 22:12 Gregor Zurowski <[hidden email]>
> ha
> > > scritto:
> > >
> > > > I've tried this, but it creates a jetty-starter module with some
> > > > weird-looking comments with "Dozer". Following is the generated
> > > > pom.xml:
> > > >
> > > > ===
> > > > <project xmlns="http://maven.apache.org/POM/4.0.0"
> > > > xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> > > > xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
> > > > http://maven.apache.org/maven-v4_0_0.xsd">
> > > >     <modelVersion>4.0.0</modelVersion>
> > > >     <parent>
> > > >         <groupId>org.apache.camel.springboot</groupId>
> > > >         <artifactId>components-starter</artifactId>
> > > >         <version>3.1.0-SNAPSHOT</version>
> > > >     </parent>
> > > >     <artifactId>camel-jetty-starter</artifactId>
> > > >     <packaging>jar</packaging>
> > > > <!--    <name>Camel Spring Boot :: Starters :: Dozer</name>-->
> > > > <!--    <description>Spring-Boot Starter for Camel Support for the
> > > > Dozer type conversion framework</description>-->
> > > >     <dependencies>
> > > >         <dependency>
> > > >             <groupId>org.springframework.boot</groupId>
> > > >             <artifactId>spring-boot-starter</artifactId>
> > > >             <version>${spring-boot-version}</version>
> > > >         </dependency>
> > > >         <dependency>
> > > >             <groupId>org.apache.camel</groupId>
> > > >             <artifactId>camel-jetty</artifactId>
> > > >             <version>${camel-version}</version>
> > > >         </dependency>
> > > >         <!--START OF GENERATED CODE-->
> > > >         <dependency>
> > > >             <groupId>org.apache.camel.springboot</groupId>
> > > >             <artifactId>camel-core-starter</artifactId>
> > > >         </dependency>
> > > >         <dependency>
> > > >             <groupId>org.apache.camel.springboot</groupId>
> > > >             <artifactId>camel-spring-boot-starter</artifactId>
> > > >         </dependency>
> > > >         <!--END OF GENERATED CODE-->
> > > >     </dependencies>
> > > > </project>
> > > > ===
> > > >
> > > > Although the apt dependency is gone, I don't believe this was
> properly
> > > > generated.
> > > >
> > > > Any ideas?
> > > >
> > > > On Fri, Feb 21, 2020 at 9:47 PM Andrea Cosentino <[hidden email]>
> > > > wrote:
> > > > >
> > > > > Or better use the starter-delete and the starte-create. Apt
> shouldn't be
> > > > > there
> > > > >
> > > > > Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]> ha
> > > > scritto:
> > > > >
> > > > > > Maybe you can try to totally remove the starter folder and
> recreate it
> > > > > > from scratch. The generator adds but doesn't remove...
> > > > > >
> > > > > > Il ven 21 feb 2020, 21:27 Gregor Zurowski <
> [hidden email]>
> > > > ha
> > > > > > scritto:
> > > > > >
> > > > > >> Hi Everyone:
> > > > > >>
> > > > > >> I am currently running in the following issue when building
> Camel
> > > > Spring
> > > > > >> Boot:
> > > > > >>
> > > > > >> ===
> > > > > >> [INFO] [INFO]
> > > > > >>
> > > >
> ------------------------------------------------------------------------
> > > > > >> [INFO] [INFO] BUILD FAILURE
> > > > > >> [INFO] [INFO]
> > > > > >>
> > > >
> ------------------------------------------------------------------------
> > > > > >> [INFO] [INFO] Total time:  08:59 min
> > > > > >> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
> > > > > >> [INFO] [INFO]
> > > > > >>
> > > >
> ------------------------------------------------------------------------
> > > > > >> [INFO] [WARNING] The requested profile "enable-schemagen" could
> not be
> > > > > >> activated because it does not exist.
> > > > > >> [INFO] [WARNING] The requested profile "apt" could not be
> activated
> > > > > >> because it does not exist.
> > > > > >> [INFO] [WARNING] The requested profile "hibernate" could not be
> > > > > >> activated because it does not exist.
> > > > > >> [INFO] [ERROR] Failed to execute goal on project
> camel-jetty-starter:
> > > > > >> Could not resolve dependencies for project
> > > > > >>
> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
> > > > > >> Could not find artifact org.apache.camel:apt:jar:3.1.0 in
> central
> > > > > >> (https://repo.maven.apache.org/maven2) -> [Help 1]
> > > > > >> ===
> > > > > >>
> > > > > >> As per our migration guide, the camel-apt module has been
> deprecated
> > > > [1].
> > > > > >>
> > > > > >> The pom.xml for camel-jetty-starter contains the following
> dependency:
> > > > > >>
> > > > > >> ===
> > > > > >>     <!--START OF GENERATED CODE-->
> > > > > >>     [...]
> > > > > >>     <dependency>
> > > > > >>       <groupId>org.apache.camel</groupId>
> > > > > >>       <artifactId>apt</artifactId>
> > > > > >>       <version>${camel-version}</version>
> > > > > >>     </dependency>
> > > > > >>     <!--END OF GENERATED CODE-->
> > > > > >> ===
> > > > > >>
> > > > > >> Please note that the dependency is part of the generated code.
> Can you
> > > > > >> please point me in the right direction on how to properly
> replace this
> > > > > >> dependency with the code provided in the migration guide?
> > > > > >>
> > > > > >> Thanks in advance,
> > > > > >> Gregor
> > > > > >>
> > > > > >> [1]
> > > > > >>
> > > >
> https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
> > > > > >>
> > > > > >> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
> > > > > >> <[hidden email]> wrote:
> > > > > >> >
> > > > > >> > Hi,
> > > > > >> >
> > > > > >> > There are still multiple issues with the Spring Boot release
> and I
> > > > > >> > will look further into those later today. The current
> problems are
> > > > > >> > mainly misalignments between Camel and the corresponding
> starter
> > > > > >> > components.
> > > > > >> >
> > > > > >> > Thanks,
> > > > > >> > Gregor
> > > > > >> >
> > > > > >> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <
> [hidden email]>
> > > > > >> wrote:
> > > > > >> > >
> > > > > >> > > Hi Gregor
> > > > > >> > >
> > > > > >> > > How is it going with the release?
> > > > > >> > >
> > > > > >> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> > > > > >> > > <[hidden email]> wrote:
> > > > > >> > > >
> > > > > >> > > > I found the issue in the meantime and fixed it on the
> release
> > > > > >> branch:
> > > > > >> > > >
> https://github.com/apache/camel-spring-boot/commit/e354d5af
> > > > > >> > > >
> > > > > >> > > > I am moving forward now and hope to release Camel Spring
> Boot
> > > > 3.1.0
> > > > > >> > > > without further issues.
> > > > > >> > > >
> > > > > >> > > > Thanks Andrea for your support!
> > > > > >> > > >
> > > > > >> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> > > > > >> > > > <[hidden email]> wrote:
> > > > > >> > > > >
> > > > > >> > > > > Hi Everyone:
> > > > > >> > > > >
> > > > > >> > > > > After creating the Camel 3.1.0 release, I've attempted
> to
> > > > create
> > > > > >> the
> > > > > >> > > > > Camel Spring Boot 3.1.0 release, but ran into the
> following
> > > > issue:
> > > > > >> > > > >
> > > > > >> > > > > When running a dry run for release:prepare, I am
> getting the
> > > > > >> following error:
> > > > > >> > > > >
> > > > > >> > > > > [INFO]
> > > > > >>
> > > >
> ------------------------------------------------------------------------
> > > > > >> > > > > [INFO] BUILD FAILURE
> > > > > >> > > > > [INFO]
> > > > > >>
> > > >
> ------------------------------------------------------------------------
> > > > > >> > > > > [INFO] Total time:  7.711 s
> > > > > >> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > > > > >> > > > > [INFO]
> > > > > >>
> > > >
> ------------------------------------------------------------------------
> > > > > >> > > > > [ERROR] Failed to execute goal
> > > > > >> > > > >
> org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > > > > >> > > > > (default-cli) on project spring-boot: The version could
> not be
> > > > > >> > > > > updated: ${camel-version} -> [Help 1]
> > > > > >> > > > >
> > > > > >> > > > > I am not sure why this happens, but I recall we had a
> similar
> > > > > >> issue
> > > > > >> > > > > fixed by Guillaume when we prepare the Camel 3.1.0
> release.
> > > > > >> > > > >
> > > > > >> > > > > If you want to take a look, please checkout the
> release/3.1.0
> > > > > >> branch
> > > > > >> > > > > as I needed to make several changes:
> > > > > >> > > > >
> > > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> > > > > >> > > > >
> > > > > >> > > > > Thanks in advance,
> > > > > >> > > > > Gregor
> > > > > >> > >
> > > > > >> > >
> > > > > >> > >
> > > > > >> > > --
> > > > > >> > > Claus Ibsen
> > > > > >> > > -----------------
> > > > > >> > > http://davsclaus.com @davsclaus
> > > > > >> > > Camel in Action 2: https://www.manning.com/ibsen2
> > > > > >>
> > > > > >
> > > >
>
>
>
> --
> Claus Ibsen
> -----------------
> http://davsclaus.com @davsclaus
> Camel in Action 2: https://www.manning.com/ibsen2
>
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Claus Ibsen-2
In reply to this post by Claus Ibsen-2
Hi Gregor

Okay I should have fixed it now.

There is a PR against the 3.1.0 release branch you can review and merge
https://github.com/apache/camel-spring-boot/pull/14

And my work is on this branch
https://github.com/apache/camel-spring-boot/tree/claus


On Sat, Feb 22, 2020 at 8:25 AM Claus Ibsen <[hidden email]> wrote:

>
> Hi Gregor
>
> Thanks for reporting. I have reproduced your issues and are working on
> fixing them.
> There is a few others after the apt fix.
>
> Work on a branch which I will push then you can cherry pick to your
> release branch and hopefully build the release.
>
> On Fri, Feb 21, 2020 at 10:24 PM Gregor Zurowski
> <[hidden email]> wrote:
> >
> > After building the module, the camel-apt dependency got added again:
> >
> > ===
> >     <!--START OF GENERATED CODE-->
> >     <dependency>
> >       <groupId>org.apache.camel.springboot</groupId>
> >       <artifactId>camel-core-starter</artifactId>
> >     </dependency>
> >     <dependency>
> >       <groupId>org.apache.camel.springboot</groupId>
> >       <artifactId>camel-spring-boot-starter</artifactId>
> >     </dependency>
> >     <dependency>
> >       <groupId>org.apache.camel</groupId>
> >       <artifactId>apt</artifactId>
> >       <version>${camel-version}</version>
> >     </dependency>
> >     <!--END OF GENERATED CODE-->
> > ===
> >
> > On Fri, Feb 21, 2020 at 10:14 PM Andrea Cosentino <[hidden email]> wrote:
> > >
> > > To me this is not a blocker for the release. The starter looks good in
> > > terms of dependency. Let's just open an issue tracking this
> > >
> > > Il ven 21 feb 2020, 22:12 Gregor Zurowski <[hidden email]> ha
> > > scritto:
> > >
> > > > I've tried this, but it creates a jetty-starter module with some
> > > > weird-looking comments with "Dozer". Following is the generated
> > > > pom.xml:
> > > >
> > > > ===
> > > > <project xmlns="http://maven.apache.org/POM/4.0.0"
> > > > xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> > > > xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
> > > > http://maven.apache.org/maven-v4_0_0.xsd">
> > > >     <modelVersion>4.0.0</modelVersion>
> > > >     <parent>
> > > >         <groupId>org.apache.camel.springboot</groupId>
> > > >         <artifactId>components-starter</artifactId>
> > > >         <version>3.1.0-SNAPSHOT</version>
> > > >     </parent>
> > > >     <artifactId>camel-jetty-starter</artifactId>
> > > >     <packaging>jar</packaging>
> > > > <!--    <name>Camel Spring Boot :: Starters :: Dozer</name>-->
> > > > <!--    <description>Spring-Boot Starter for Camel Support for the
> > > > Dozer type conversion framework</description>-->
> > > >     <dependencies>
> > > >         <dependency>
> > > >             <groupId>org.springframework.boot</groupId>
> > > >             <artifactId>spring-boot-starter</artifactId>
> > > >             <version>${spring-boot-version}</version>
> > > >         </dependency>
> > > >         <dependency>
> > > >             <groupId>org.apache.camel</groupId>
> > > >             <artifactId>camel-jetty</artifactId>
> > > >             <version>${camel-version}</version>
> > > >         </dependency>
> > > >         <!--START OF GENERATED CODE-->
> > > >         <dependency>
> > > >             <groupId>org.apache.camel.springboot</groupId>
> > > >             <artifactId>camel-core-starter</artifactId>
> > > >         </dependency>
> > > >         <dependency>
> > > >             <groupId>org.apache.camel.springboot</groupId>
> > > >             <artifactId>camel-spring-boot-starter</artifactId>
> > > >         </dependency>
> > > >         <!--END OF GENERATED CODE-->
> > > >     </dependencies>
> > > > </project>
> > > > ===
> > > >
> > > > Although the apt dependency is gone, I don't believe this was properly
> > > > generated.
> > > >
> > > > Any ideas?
> > > >
> > > > On Fri, Feb 21, 2020 at 9:47 PM Andrea Cosentino <[hidden email]>
> > > > wrote:
> > > > >
> > > > > Or better use the starter-delete and the starte-create. Apt shouldn't be
> > > > > there
> > > > >
> > > > > Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]> ha
> > > > scritto:
> > > > >
> > > > > > Maybe you can try to totally remove the starter folder and recreate it
> > > > > > from scratch. The generator adds but doesn't remove...
> > > > > >
> > > > > > Il ven 21 feb 2020, 21:27 Gregor Zurowski <[hidden email]>
> > > > ha
> > > > > > scritto:
> > > > > >
> > > > > >> Hi Everyone:
> > > > > >>
> > > > > >> I am currently running in the following issue when building Camel
> > > > Spring
> > > > > >> Boot:
> > > > > >>
> > > > > >> ===
> > > > > >> [INFO] [INFO]
> > > > > >>
> > > > ------------------------------------------------------------------------
> > > > > >> [INFO] [INFO] BUILD FAILURE
> > > > > >> [INFO] [INFO]
> > > > > >>
> > > > ------------------------------------------------------------------------
> > > > > >> [INFO] [INFO] Total time:  08:59 min
> > > > > >> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
> > > > > >> [INFO] [INFO]
> > > > > >>
> > > > ------------------------------------------------------------------------
> > > > > >> [INFO] [WARNING] The requested profile "enable-schemagen" could not be
> > > > > >> activated because it does not exist.
> > > > > >> [INFO] [WARNING] The requested profile "apt" could not be activated
> > > > > >> because it does not exist.
> > > > > >> [INFO] [WARNING] The requested profile "hibernate" could not be
> > > > > >> activated because it does not exist.
> > > > > >> [INFO] [ERROR] Failed to execute goal on project camel-jetty-starter:
> > > > > >> Could not resolve dependencies for project
> > > > > >> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
> > > > > >> Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
> > > > > >> (https://repo.maven.apache.org/maven2) -> [Help 1]
> > > > > >> ===
> > > > > >>
> > > > > >> As per our migration guide, the camel-apt module has been deprecated
> > > > [1].
> > > > > >>
> > > > > >> The pom.xml for camel-jetty-starter contains the following dependency:
> > > > > >>
> > > > > >> ===
> > > > > >>     <!--START OF GENERATED CODE-->
> > > > > >>     [...]
> > > > > >>     <dependency>
> > > > > >>       <groupId>org.apache.camel</groupId>
> > > > > >>       <artifactId>apt</artifactId>
> > > > > >>       <version>${camel-version}</version>
> > > > > >>     </dependency>
> > > > > >>     <!--END OF GENERATED CODE-->
> > > > > >> ===
> > > > > >>
> > > > > >> Please note that the dependency is part of the generated code. Can you
> > > > > >> please point me in the right direction on how to properly replace this
> > > > > >> dependency with the code provided in the migration guide?
> > > > > >>
> > > > > >> Thanks in advance,
> > > > > >> Gregor
> > > > > >>
> > > > > >> [1]
> > > > > >>
> > > > https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
> > > > > >>
> > > > > >> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
> > > > > >> <[hidden email]> wrote:
> > > > > >> >
> > > > > >> > Hi,
> > > > > >> >
> > > > > >> > There are still multiple issues with the Spring Boot release and I
> > > > > >> > will look further into those later today. The current problems are
> > > > > >> > mainly misalignments between Camel and the corresponding starter
> > > > > >> > components.
> > > > > >> >
> > > > > >> > Thanks,
> > > > > >> > Gregor
> > > > > >> >
> > > > > >> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]>
> > > > > >> wrote:
> > > > > >> > >
> > > > > >> > > Hi Gregor
> > > > > >> > >
> > > > > >> > > How is it going with the release?
> > > > > >> > >
> > > > > >> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> > > > > >> > > <[hidden email]> wrote:
> > > > > >> > > >
> > > > > >> > > > I found the issue in the meantime and fixed it on the release
> > > > > >> branch:
> > > > > >> > > > https://github.com/apache/camel-spring-boot/commit/e354d5af
> > > > > >> > > >
> > > > > >> > > > I am moving forward now and hope to release Camel Spring Boot
> > > > 3.1.0
> > > > > >> > > > without further issues.
> > > > > >> > > >
> > > > > >> > > > Thanks Andrea for your support!
> > > > > >> > > >
> > > > > >> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> > > > > >> > > > <[hidden email]> wrote:
> > > > > >> > > > >
> > > > > >> > > > > Hi Everyone:
> > > > > >> > > > >
> > > > > >> > > > > After creating the Camel 3.1.0 release, I've attempted to
> > > > create
> > > > > >> the
> > > > > >> > > > > Camel Spring Boot 3.1.0 release, but ran into the following
> > > > issue:
> > > > > >> > > > >
> > > > > >> > > > > When running a dry run for release:prepare, I am getting the
> > > > > >> following error:
> > > > > >> > > > >
> > > > > >> > > > > [INFO]
> > > > > >>
> > > > ------------------------------------------------------------------------
> > > > > >> > > > > [INFO] BUILD FAILURE
> > > > > >> > > > > [INFO]
> > > > > >>
> > > > ------------------------------------------------------------------------
> > > > > >> > > > > [INFO] Total time:  7.711 s
> > > > > >> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > > > > >> > > > > [INFO]
> > > > > >>
> > > > ------------------------------------------------------------------------
> > > > > >> > > > > [ERROR] Failed to execute goal
> > > > > >> > > > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > > > > >> > > > > (default-cli) on project spring-boot: The version could not be
> > > > > >> > > > > updated: ${camel-version} -> [Help 1]
> > > > > >> > > > >
> > > > > >> > > > > I am not sure why this happens, but I recall we had a similar
> > > > > >> issue
> > > > > >> > > > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> > > > > >> > > > >
> > > > > >> > > > > If you want to take a look, please checkout the release/3.1.0
> > > > > >> branch
> > > > > >> > > > > as I needed to make several changes:
> > > > > >> > > > >
> > > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> > > > > >> > > > >
> > > > > >> > > > > Thanks in advance,
> > > > > >> > > > > Gregor
> > > > > >> > >
> > > > > >> > >
> > > > > >> > >
> > > > > >> > > --
> > > > > >> > > Claus Ibsen
> > > > > >> > > -----------------
> > > > > >> > > http://davsclaus.com @davsclaus
> > > > > >> > > Camel in Action 2: https://www.manning.com/ibsen2
> > > > > >>
> > > > > >
> > > >
>
>
>
> --
> Claus Ibsen
> -----------------
> http://davsclaus.com @davsclaus
> Camel in Action 2: https://www.manning.com/ibsen2



--
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Claus Ibsen-2
Hi

Okay with the fixes then I can build camel-spring-boot with

mvn clean install

And using the camel 3.1.0 JARs from the release branch/tag.

Gregor lets us know when you start the release again and if you hit
any new problems, thanks.

On Sat, Feb 22, 2020 at 9:59 AM Claus Ibsen <[hidden email]> wrote:

>
> Hi Gregor
>
> Okay I should have fixed it now.
>
> There is a PR against the 3.1.0 release branch you can review and merge
> https://github.com/apache/camel-spring-boot/pull/14
>
> And my work is on this branch
> https://github.com/apache/camel-spring-boot/tree/claus
>
>
> On Sat, Feb 22, 2020 at 8:25 AM Claus Ibsen <[hidden email]> wrote:
> >
> > Hi Gregor
> >
> > Thanks for reporting. I have reproduced your issues and are working on
> > fixing them.
> > There is a few others after the apt fix.
> >
> > Work on a branch which I will push then you can cherry pick to your
> > release branch and hopefully build the release.
> >
> > On Fri, Feb 21, 2020 at 10:24 PM Gregor Zurowski
> > <[hidden email]> wrote:
> > >
> > > After building the module, the camel-apt dependency got added again:
> > >
> > > ===
> > >     <!--START OF GENERATED CODE-->
> > >     <dependency>
> > >       <groupId>org.apache.camel.springboot</groupId>
> > >       <artifactId>camel-core-starter</artifactId>
> > >     </dependency>
> > >     <dependency>
> > >       <groupId>org.apache.camel.springboot</groupId>
> > >       <artifactId>camel-spring-boot-starter</artifactId>
> > >     </dependency>
> > >     <dependency>
> > >       <groupId>org.apache.camel</groupId>
> > >       <artifactId>apt</artifactId>
> > >       <version>${camel-version}</version>
> > >     </dependency>
> > >     <!--END OF GENERATED CODE-->
> > > ===
> > >
> > > On Fri, Feb 21, 2020 at 10:14 PM Andrea Cosentino <[hidden email]> wrote:
> > > >
> > > > To me this is not a blocker for the release. The starter looks good in
> > > > terms of dependency. Let's just open an issue tracking this
> > > >
> > > > Il ven 21 feb 2020, 22:12 Gregor Zurowski <[hidden email]> ha
> > > > scritto:
> > > >
> > > > > I've tried this, but it creates a jetty-starter module with some
> > > > > weird-looking comments with "Dozer". Following is the generated
> > > > > pom.xml:
> > > > >
> > > > > ===
> > > > > <project xmlns="http://maven.apache.org/POM/4.0.0"
> > > > > xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> > > > > xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
> > > > > http://maven.apache.org/maven-v4_0_0.xsd">
> > > > >     <modelVersion>4.0.0</modelVersion>
> > > > >     <parent>
> > > > >         <groupId>org.apache.camel.springboot</groupId>
> > > > >         <artifactId>components-starter</artifactId>
> > > > >         <version>3.1.0-SNAPSHOT</version>
> > > > >     </parent>
> > > > >     <artifactId>camel-jetty-starter</artifactId>
> > > > >     <packaging>jar</packaging>
> > > > > <!--    <name>Camel Spring Boot :: Starters :: Dozer</name>-->
> > > > > <!--    <description>Spring-Boot Starter for Camel Support for the
> > > > > Dozer type conversion framework</description>-->
> > > > >     <dependencies>
> > > > >         <dependency>
> > > > >             <groupId>org.springframework.boot</groupId>
> > > > >             <artifactId>spring-boot-starter</artifactId>
> > > > >             <version>${spring-boot-version}</version>
> > > > >         </dependency>
> > > > >         <dependency>
> > > > >             <groupId>org.apache.camel</groupId>
> > > > >             <artifactId>camel-jetty</artifactId>
> > > > >             <version>${camel-version}</version>
> > > > >         </dependency>
> > > > >         <!--START OF GENERATED CODE-->
> > > > >         <dependency>
> > > > >             <groupId>org.apache.camel.springboot</groupId>
> > > > >             <artifactId>camel-core-starter</artifactId>
> > > > >         </dependency>
> > > > >         <dependency>
> > > > >             <groupId>org.apache.camel.springboot</groupId>
> > > > >             <artifactId>camel-spring-boot-starter</artifactId>
> > > > >         </dependency>
> > > > >         <!--END OF GENERATED CODE-->
> > > > >     </dependencies>
> > > > > </project>
> > > > > ===
> > > > >
> > > > > Although the apt dependency is gone, I don't believe this was properly
> > > > > generated.
> > > > >
> > > > > Any ideas?
> > > > >
> > > > > On Fri, Feb 21, 2020 at 9:47 PM Andrea Cosentino <[hidden email]>
> > > > > wrote:
> > > > > >
> > > > > > Or better use the starter-delete and the starte-create. Apt shouldn't be
> > > > > > there
> > > > > >
> > > > > > Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]> ha
> > > > > scritto:
> > > > > >
> > > > > > > Maybe you can try to totally remove the starter folder and recreate it
> > > > > > > from scratch. The generator adds but doesn't remove...
> > > > > > >
> > > > > > > Il ven 21 feb 2020, 21:27 Gregor Zurowski <[hidden email]>
> > > > > ha
> > > > > > > scritto:
> > > > > > >
> > > > > > >> Hi Everyone:
> > > > > > >>
> > > > > > >> I am currently running in the following issue when building Camel
> > > > > Spring
> > > > > > >> Boot:
> > > > > > >>
> > > > > > >> ===
> > > > > > >> [INFO] [INFO]
> > > > > > >>
> > > > > ------------------------------------------------------------------------
> > > > > > >> [INFO] [INFO] BUILD FAILURE
> > > > > > >> [INFO] [INFO]
> > > > > > >>
> > > > > ------------------------------------------------------------------------
> > > > > > >> [INFO] [INFO] Total time:  08:59 min
> > > > > > >> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
> > > > > > >> [INFO] [INFO]
> > > > > > >>
> > > > > ------------------------------------------------------------------------
> > > > > > >> [INFO] [WARNING] The requested profile "enable-schemagen" could not be
> > > > > > >> activated because it does not exist.
> > > > > > >> [INFO] [WARNING] The requested profile "apt" could not be activated
> > > > > > >> because it does not exist.
> > > > > > >> [INFO] [WARNING] The requested profile "hibernate" could not be
> > > > > > >> activated because it does not exist.
> > > > > > >> [INFO] [ERROR] Failed to execute goal on project camel-jetty-starter:
> > > > > > >> Could not resolve dependencies for project
> > > > > > >> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
> > > > > > >> Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
> > > > > > >> (https://repo.maven.apache.org/maven2) -> [Help 1]
> > > > > > >> ===
> > > > > > >>
> > > > > > >> As per our migration guide, the camel-apt module has been deprecated
> > > > > [1].
> > > > > > >>
> > > > > > >> The pom.xml for camel-jetty-starter contains the following dependency:
> > > > > > >>
> > > > > > >> ===
> > > > > > >>     <!--START OF GENERATED CODE-->
> > > > > > >>     [...]
> > > > > > >>     <dependency>
> > > > > > >>       <groupId>org.apache.camel</groupId>
> > > > > > >>       <artifactId>apt</artifactId>
> > > > > > >>       <version>${camel-version}</version>
> > > > > > >>     </dependency>
> > > > > > >>     <!--END OF GENERATED CODE-->
> > > > > > >> ===
> > > > > > >>
> > > > > > >> Please note that the dependency is part of the generated code. Can you
> > > > > > >> please point me in the right direction on how to properly replace this
> > > > > > >> dependency with the code provided in the migration guide?
> > > > > > >>
> > > > > > >> Thanks in advance,
> > > > > > >> Gregor
> > > > > > >>
> > > > > > >> [1]
> > > > > > >>
> > > > > https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
> > > > > > >>
> > > > > > >> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
> > > > > > >> <[hidden email]> wrote:
> > > > > > >> >
> > > > > > >> > Hi,
> > > > > > >> >
> > > > > > >> > There are still multiple issues with the Spring Boot release and I
> > > > > > >> > will look further into those later today. The current problems are
> > > > > > >> > mainly misalignments between Camel and the corresponding starter
> > > > > > >> > components.
> > > > > > >> >
> > > > > > >> > Thanks,
> > > > > > >> > Gregor
> > > > > > >> >
> > > > > > >> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]>
> > > > > > >> wrote:
> > > > > > >> > >
> > > > > > >> > > Hi Gregor
> > > > > > >> > >
> > > > > > >> > > How is it going with the release?
> > > > > > >> > >
> > > > > > >> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> > > > > > >> > > <[hidden email]> wrote:
> > > > > > >> > > >
> > > > > > >> > > > I found the issue in the meantime and fixed it on the release
> > > > > > >> branch:
> > > > > > >> > > > https://github.com/apache/camel-spring-boot/commit/e354d5af
> > > > > > >> > > >
> > > > > > >> > > > I am moving forward now and hope to release Camel Spring Boot
> > > > > 3.1.0
> > > > > > >> > > > without further issues.
> > > > > > >> > > >
> > > > > > >> > > > Thanks Andrea for your support!
> > > > > > >> > > >
> > > > > > >> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> > > > > > >> > > > <[hidden email]> wrote:
> > > > > > >> > > > >
> > > > > > >> > > > > Hi Everyone:
> > > > > > >> > > > >
> > > > > > >> > > > > After creating the Camel 3.1.0 release, I've attempted to
> > > > > create
> > > > > > >> the
> > > > > > >> > > > > Camel Spring Boot 3.1.0 release, but ran into the following
> > > > > issue:
> > > > > > >> > > > >
> > > > > > >> > > > > When running a dry run for release:prepare, I am getting the
> > > > > > >> following error:
> > > > > > >> > > > >
> > > > > > >> > > > > [INFO]
> > > > > > >>
> > > > > ------------------------------------------------------------------------
> > > > > > >> > > > > [INFO] BUILD FAILURE
> > > > > > >> > > > > [INFO]
> > > > > > >>
> > > > > ------------------------------------------------------------------------
> > > > > > >> > > > > [INFO] Total time:  7.711 s
> > > > > > >> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > > > > > >> > > > > [INFO]
> > > > > > >>
> > > > > ------------------------------------------------------------------------
> > > > > > >> > > > > [ERROR] Failed to execute goal
> > > > > > >> > > > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > > > > > >> > > > > (default-cli) on project spring-boot: The version could not be
> > > > > > >> > > > > updated: ${camel-version} -> [Help 1]
> > > > > > >> > > > >
> > > > > > >> > > > > I am not sure why this happens, but I recall we had a similar
> > > > > > >> issue
> > > > > > >> > > > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> > > > > > >> > > > >
> > > > > > >> > > > > If you want to take a look, please checkout the release/3.1.0
> > > > > > >> branch
> > > > > > >> > > > > as I needed to make several changes:
> > > > > > >> > > > >
> > > > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> > > > > > >> > > > >
> > > > > > >> > > > > Thanks in advance,
> > > > > > >> > > > > Gregor
> > > > > > >> > >
> > > > > > >> > >
> > > > > > >> > >
> > > > > > >> > > --
> > > > > > >> > > Claus Ibsen
> > > > > > >> > > -----------------
> > > > > > >> > > http://davsclaus.com @davsclaus
> > > > > > >> > > Camel in Action 2: https://www.manning.com/ibsen2
> > > > > > >>
> > > > > > >
> > > > >
> >
> >
> >
> > --
> > Claus Ibsen
> > -----------------
> > http://davsclaus.com @davsclaus
> > Camel in Action 2: https://www.manning.com/ibsen2
>
>
>
> --
> Claus Ibsen
> -----------------
> http://davsclaus.com @davsclaus
> Camel in Action 2: https://www.manning.com/ibsen2



--
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Gregor Zurowski-2
Thanks for the update. I will try it in a few hours and let you know.


On Sat, Feb 22, 2020, 10:43 AM Claus Ibsen <[hidden email]> wrote:

> Hi
>
> Okay with the fixes then I can build camel-spring-boot with
>
> mvn clean install
>
> And using the camel 3.1.0 JARs from the release branch/tag.
>
> Gregor lets us know when you start the release again and if you hit
> any new problems, thanks.
>
> On Sat, Feb 22, 2020 at 9:59 AM Claus Ibsen <[hidden email]> wrote:
> >
> > Hi Gregor
> >
> > Okay I should have fixed it now.
> >
> > There is a PR against the 3.1.0 release branch you can review and merge
> > https://github.com/apache/camel-spring-boot/pull/14
> >
> > And my work is on this branch
> > https://github.com/apache/camel-spring-boot/tree/claus
> >
> >
> > On Sat, Feb 22, 2020 at 8:25 AM Claus Ibsen <[hidden email]>
> wrote:
> > >
> > > Hi Gregor
> > >
> > > Thanks for reporting. I have reproduced your issues and are working on
> > > fixing them.
> > > There is a few others after the apt fix.
> > >
> > > Work on a branch which I will push then you can cherry pick to your
> > > release branch and hopefully build the release.
> > >
> > > On Fri, Feb 21, 2020 at 10:24 PM Gregor Zurowski
> > > <[hidden email]> wrote:
> > > >
> > > > After building the module, the camel-apt dependency got added again:
> > > >
> > > > ===
> > > >     <!--START OF GENERATED CODE-->
> > > >     <dependency>
> > > >       <groupId>org.apache.camel.springboot</groupId>
> > > >       <artifactId>camel-core-starter</artifactId>
> > > >     </dependency>
> > > >     <dependency>
> > > >       <groupId>org.apache.camel.springboot</groupId>
> > > >       <artifactId>camel-spring-boot-starter</artifactId>
> > > >     </dependency>
> > > >     <dependency>
> > > >       <groupId>org.apache.camel</groupId>
> > > >       <artifactId>apt</artifactId>
> > > >       <version>${camel-version}</version>
> > > >     </dependency>
> > > >     <!--END OF GENERATED CODE-->
> > > > ===
> > > >
> > > > On Fri, Feb 21, 2020 at 10:14 PM Andrea Cosentino <[hidden email]>
> wrote:
> > > > >
> > > > > To me this is not a blocker for the release. The starter looks
> good in
> > > > > terms of dependency. Let's just open an issue tracking this
> > > > >
> > > > > Il ven 21 feb 2020, 22:12 Gregor Zurowski <
> [hidden email]> ha
> > > > > scritto:
> > > > >
> > > > > > I've tried this, but it creates a jetty-starter module with some
> > > > > > weird-looking comments with "Dozer". Following is the generated
> > > > > > pom.xml:
> > > > > >
> > > > > > ===
> > > > > > <project xmlns="http://maven.apache.org/POM/4.0.0"
> > > > > > xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> > > > > > xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
> > > > > > http://maven.apache.org/maven-v4_0_0.xsd">
> > > > > >     <modelVersion>4.0.0</modelVersion>
> > > > > >     <parent>
> > > > > >         <groupId>org.apache.camel.springboot</groupId>
> > > > > >         <artifactId>components-starter</artifactId>
> > > > > >         <version>3.1.0-SNAPSHOT</version>
> > > > > >     </parent>
> > > > > >     <artifactId>camel-jetty-starter</artifactId>
> > > > > >     <packaging>jar</packaging>
> > > > > > <!--    <name>Camel Spring Boot :: Starters :: Dozer</name>-->
> > > > > > <!--    <description>Spring-Boot Starter for Camel Support for
> the
> > > > > > Dozer type conversion framework</description>-->
> > > > > >     <dependencies>
> > > > > >         <dependency>
> > > > > >             <groupId>org.springframework.boot</groupId>
> > > > > >             <artifactId>spring-boot-starter</artifactId>
> > > > > >             <version>${spring-boot-version}</version>
> > > > > >         </dependency>
> > > > > >         <dependency>
> > > > > >             <groupId>org.apache.camel</groupId>
> > > > > >             <artifactId>camel-jetty</artifactId>
> > > > > >             <version>${camel-version}</version>
> > > > > >         </dependency>
> > > > > >         <!--START OF GENERATED CODE-->
> > > > > >         <dependency>
> > > > > >             <groupId>org.apache.camel.springboot</groupId>
> > > > > >             <artifactId>camel-core-starter</artifactId>
> > > > > >         </dependency>
> > > > > >         <dependency>
> > > > > >             <groupId>org.apache.camel.springboot</groupId>
> > > > > >             <artifactId>camel-spring-boot-starter</artifactId>
> > > > > >         </dependency>
> > > > > >         <!--END OF GENERATED CODE-->
> > > > > >     </dependencies>
> > > > > > </project>
> > > > > > ===
> > > > > >
> > > > > > Although the apt dependency is gone, I don't believe this was
> properly
> > > > > > generated.
> > > > > >
> > > > > > Any ideas?
> > > > > >
> > > > > > On Fri, Feb 21, 2020 at 9:47 PM Andrea Cosentino <
> [hidden email]>
> > > > > > wrote:
> > > > > > >
> > > > > > > Or better use the starter-delete and the starte-create. Apt
> shouldn't be
> > > > > > > there
> > > > > > >
> > > > > > > Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]>
> ha
> > > > > > scritto:
> > > > > > >
> > > > > > > > Maybe you can try to totally remove the starter folder and
> recreate it
> > > > > > > > from scratch. The generator adds but doesn't remove...
> > > > > > > >
> > > > > > > > Il ven 21 feb 2020, 21:27 Gregor Zurowski <
> [hidden email]>
> > > > > > ha
> > > > > > > > scritto:
> > > > > > > >
> > > > > > > >> Hi Everyone:
> > > > > > > >>
> > > > > > > >> I am currently running in the following issue when building
> Camel
> > > > > > Spring
> > > > > > > >> Boot:
> > > > > > > >>
> > > > > > > >> ===
> > > > > > > >> [INFO] [INFO]
> > > > > > > >>
> > > > > >
> ------------------------------------------------------------------------
> > > > > > > >> [INFO] [INFO] BUILD FAILURE
> > > > > > > >> [INFO] [INFO]
> > > > > > > >>
> > > > > >
> ------------------------------------------------------------------------
> > > > > > > >> [INFO] [INFO] Total time:  08:59 min
> > > > > > > >> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
> > > > > > > >> [INFO] [INFO]
> > > > > > > >>
> > > > > >
> ------------------------------------------------------------------------
> > > > > > > >> [INFO] [WARNING] The requested profile "enable-schemagen"
> could not be
> > > > > > > >> activated because it does not exist.
> > > > > > > >> [INFO] [WARNING] The requested profile "apt" could not be
> activated
> > > > > > > >> because it does not exist.
> > > > > > > >> [INFO] [WARNING] The requested profile "hibernate" could
> not be
> > > > > > > >> activated because it does not exist.
> > > > > > > >> [INFO] [ERROR] Failed to execute goal on project
> camel-jetty-starter:
> > > > > > > >> Could not resolve dependencies for project
> > > > > > > >>
> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
> > > > > > > >> Could not find artifact org.apache.camel:apt:jar:3.1.0 in
> central
> > > > > > > >> (https://repo.maven.apache.org/maven2) -> [Help 1]
> > > > > > > >> ===
> > > > > > > >>
> > > > > > > >> As per our migration guide, the camel-apt module has been
> deprecated
> > > > > > [1].
> > > > > > > >>
> > > > > > > >> The pom.xml for camel-jetty-starter contains the following
> dependency:
> > > > > > > >>
> > > > > > > >> ===
> > > > > > > >>     <!--START OF GENERATED CODE-->
> > > > > > > >>     [...]
> > > > > > > >>     <dependency>
> > > > > > > >>       <groupId>org.apache.camel</groupId>
> > > > > > > >>       <artifactId>apt</artifactId>
> > > > > > > >>       <version>${camel-version}</version>
> > > > > > > >>     </dependency>
> > > > > > > >>     <!--END OF GENERATED CODE-->
> > > > > > > >> ===
> > > > > > > >>
> > > > > > > >> Please note that the dependency is part of the generated
> code. Can you
> > > > > > > >> please point me in the right direction on how to properly
> replace this
> > > > > > > >> dependency with the code provided in the migration guide?
> > > > > > > >>
> > > > > > > >> Thanks in advance,
> > > > > > > >> Gregor
> > > > > > > >>
> > > > > > > >> [1]
> > > > > > > >>
> > > > > >
> https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
> > > > > > > >>
> > > > > > > >> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
> > > > > > > >> <[hidden email]> wrote:
> > > > > > > >> >
> > > > > > > >> > Hi,
> > > > > > > >> >
> > > > > > > >> > There are still multiple issues with the Spring Boot
> release and I
> > > > > > > >> > will look further into those later today. The current
> problems are
> > > > > > > >> > mainly misalignments between Camel and the corresponding
> starter
> > > > > > > >> > components.
> > > > > > > >> >
> > > > > > > >> > Thanks,
> > > > > > > >> > Gregor
> > > > > > > >> >
> > > > > > > >> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <
> [hidden email]>
> > > > > > > >> wrote:
> > > > > > > >> > >
> > > > > > > >> > > Hi Gregor
> > > > > > > >> > >
> > > > > > > >> > > How is it going with the release?
> > > > > > > >> > >
> > > > > > > >> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> > > > > > > >> > > <[hidden email]> wrote:
> > > > > > > >> > > >
> > > > > > > >> > > > I found the issue in the meantime and fixed it on the
> release
> > > > > > > >> branch:
> > > > > > > >> > > >
> https://github.com/apache/camel-spring-boot/commit/e354d5af
> > > > > > > >> > > >
> > > > > > > >> > > > I am moving forward now and hope to release Camel
> Spring Boot
> > > > > > 3.1.0
> > > > > > > >> > > > without further issues.
> > > > > > > >> > > >
> > > > > > > >> > > > Thanks Andrea for your support!
> > > > > > > >> > > >
> > > > > > > >> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> > > > > > > >> > > > <[hidden email]> wrote:
> > > > > > > >> > > > >
> > > > > > > >> > > > > Hi Everyone:
> > > > > > > >> > > > >
> > > > > > > >> > > > > After creating the Camel 3.1.0 release, I've
> attempted to
> > > > > > create
> > > > > > > >> the
> > > > > > > >> > > > > Camel Spring Boot 3.1.0 release, but ran into the
> following
> > > > > > issue:
> > > > > > > >> > > > >
> > > > > > > >> > > > > When running a dry run for release:prepare, I am
> getting the
> > > > > > > >> following error:
> > > > > > > >> > > > >
> > > > > > > >> > > > > [INFO]
> > > > > > > >>
> > > > > >
> ------------------------------------------------------------------------
> > > > > > > >> > > > > [INFO] BUILD FAILURE
> > > > > > > >> > > > > [INFO]
> > > > > > > >>
> > > > > >
> ------------------------------------------------------------------------
> > > > > > > >> > > > > [INFO] Total time:  7.711 s
> > > > > > > >> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> > > > > > > >> > > > > [INFO]
> > > > > > > >>
> > > > > >
> ------------------------------------------------------------------------
> > > > > > > >> > > > > [ERROR] Failed to execute goal
> > > > > > > >> > > > >
> org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> > > > > > > >> > > > > (default-cli) on project spring-boot: The version
> could not be
> > > > > > > >> > > > > updated: ${camel-version} -> [Help 1]
> > > > > > > >> > > > >
> > > > > > > >> > > > > I am not sure why this happens, but I recall we had
> a similar
> > > > > > > >> issue
> > > > > > > >> > > > > fixed by Guillaume when we prepare the Camel 3.1.0
> release.
> > > > > > > >> > > > >
> > > > > > > >> > > > > If you want to take a look, please checkout the
> release/3.1.0
> > > > > > > >> branch
> > > > > > > >> > > > > as I needed to make several changes:
> > > > > > > >> > > > >
> > > > > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> > > > > > > >> > > > >
> > > > > > > >> > > > > Thanks in advance,
> > > > > > > >> > > > > Gregor
> > > > > > > >> > >
> > > > > > > >> > >
> > > > > > > >> > >
> > > > > > > >> > > --
> > > > > > > >> > > Claus Ibsen
> > > > > > > >> > > -----------------
> > > > > > > >> > > http://davsclaus.com @davsclaus
> > > > > > > >> > > Camel in Action 2: https://www.manning.com/ibsen2
> > > > > > > >>
> > > > > > > >
> > > > > >
> > >
> > >
> > >
> > > --
> > > Claus Ibsen
> > > -----------------
> > > http://davsclaus.com @davsclaus
> > > Camel in Action 2: https://www.manning.com/ibsen2
> >
> >
> >
> > --
> > Claus Ibsen
> > -----------------
> > http://davsclaus.com @davsclaus
> > Camel in Action 2: https://www.manning.com/ibsen2
>
>
>
> --
> Claus Ibsen
> -----------------
> http://davsclaus.com @davsclaus
> Camel in Action 2: https://www.manning.com/ibsen2
>
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Gregor Zurowski-2
I am running into other issues now:

===
[INFO] [ERROR] Failed to execute goal
org.apache.maven.plugins:maven-javadoc-plugin:3.0.1:jar
(attach-javadocs) on project camel-yammer-starter:
MavenReportException: Error while generating Javadoc:
[INFO] [ERROR] Exit code: 1 -
/home/camel/camel-spring-boot/components-starter/camel-yammer-starter/src/main/java/org/apache/camel/component/yammer/springboot/YammerComponentConfiguration.java:184:
error: unmappable character for encoding UTF-8
[INFO] [ERROR]          * you can make a request with the parameter
newerThan=3516? to ensure
[INFO] [ERROR]
           ^
[INFO] [ERROR] /home/camel/camel-spring-boot/components-starter/camel-yammer-starter/src/main/java/org/apache/camel/component/yammer/springboot/YammerComponentConfiguration.java:193:
error: unmappable character for encoding UTF-8
[INFO] [ERROR]          * you could append olderThan=2912? to your
request to get the 20
[INFO] [ERROR]                                           ^
[INFO] [ERROR]
[INFO] [ERROR] Command line was:
/usr/lib/jvm/java-8-openjdk-amd64/jre/../bin/javadoc @options
@packages
[INFO] [ERROR]
[INFO] [ERROR] Refer to the generated Javadoc files in
'/home/camel/camel-spring-boot/components-starter/camel-yammer-starter/target/apidocs'
dir.
===

There's an invalid character after newerThan=3516 in the generator
configuration class. I believe this can only be solved by changing the
corresponding code in the camel-yammer component in the Camel
codebase, or is there another way to solve this?

Thanks,
Gregor

On Sat, Feb 22, 2020 at 1:23 PM Gregor Zurowski
<[hidden email]> wrote:

>
> Thanks for the update. I will try it in a few hours and let you know.
>
>
> On Sat, Feb 22, 2020, 10:43 AM Claus Ibsen <[hidden email]> wrote:
>>
>> Hi
>>
>> Okay with the fixes then I can build camel-spring-boot with
>>
>> mvn clean install
>>
>> And using the camel 3.1.0 JARs from the release branch/tag.
>>
>> Gregor lets us know when you start the release again and if you hit
>> any new problems, thanks.
>>
>> On Sat, Feb 22, 2020 at 9:59 AM Claus Ibsen <[hidden email]> wrote:
>> >
>> > Hi Gregor
>> >
>> > Okay I should have fixed it now.
>> >
>> > There is a PR against the 3.1.0 release branch you can review and merge
>> > https://github.com/apache/camel-spring-boot/pull/14
>> >
>> > And my work is on this branch
>> > https://github.com/apache/camel-spring-boot/tree/claus
>> >
>> >
>> > On Sat, Feb 22, 2020 at 8:25 AM Claus Ibsen <[hidden email]> wrote:
>> > >
>> > > Hi Gregor
>> > >
>> > > Thanks for reporting. I have reproduced your issues and are working on
>> > > fixing them.
>> > > There is a few others after the apt fix.
>> > >
>> > > Work on a branch which I will push then you can cherry pick to your
>> > > release branch and hopefully build the release.
>> > >
>> > > On Fri, Feb 21, 2020 at 10:24 PM Gregor Zurowski
>> > > <[hidden email]> wrote:
>> > > >
>> > > > After building the module, the camel-apt dependency got added again:
>> > > >
>> > > > ===
>> > > >     <!--START OF GENERATED CODE-->
>> > > >     <dependency>
>> > > >       <groupId>org.apache.camel.springboot</groupId>
>> > > >       <artifactId>camel-core-starter</artifactId>
>> > > >     </dependency>
>> > > >     <dependency>
>> > > >       <groupId>org.apache.camel.springboot</groupId>
>> > > >       <artifactId>camel-spring-boot-starter</artifactId>
>> > > >     </dependency>
>> > > >     <dependency>
>> > > >       <groupId>org.apache.camel</groupId>
>> > > >       <artifactId>apt</artifactId>
>> > > >       <version>${camel-version}</version>
>> > > >     </dependency>
>> > > >     <!--END OF GENERATED CODE-->
>> > > > ===
>> > > >
>> > > > On Fri, Feb 21, 2020 at 10:14 PM Andrea Cosentino <[hidden email]> wrote:
>> > > > >
>> > > > > To me this is not a blocker for the release. The starter looks good in
>> > > > > terms of dependency. Let's just open an issue tracking this
>> > > > >
>> > > > > Il ven 21 feb 2020, 22:12 Gregor Zurowski <[hidden email]> ha
>> > > > > scritto:
>> > > > >
>> > > > > > I've tried this, but it creates a jetty-starter module with some
>> > > > > > weird-looking comments with "Dozer". Following is the generated
>> > > > > > pom.xml:
>> > > > > >
>> > > > > > ===
>> > > > > > <project xmlns="http://maven.apache.org/POM/4.0.0"
>> > > > > > xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>> > > > > > xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
>> > > > > > http://maven.apache.org/maven-v4_0_0.xsd">
>> > > > > >     <modelVersion>4.0.0</modelVersion>
>> > > > > >     <parent>
>> > > > > >         <groupId>org.apache.camel.springboot</groupId>
>> > > > > >         <artifactId>components-starter</artifactId>
>> > > > > >         <version>3.1.0-SNAPSHOT</version>
>> > > > > >     </parent>
>> > > > > >     <artifactId>camel-jetty-starter</artifactId>
>> > > > > >     <packaging>jar</packaging>
>> > > > > > <!--    <name>Camel Spring Boot :: Starters :: Dozer</name>-->
>> > > > > > <!--    <description>Spring-Boot Starter for Camel Support for the
>> > > > > > Dozer type conversion framework</description>-->
>> > > > > >     <dependencies>
>> > > > > >         <dependency>
>> > > > > >             <groupId>org.springframework.boot</groupId>
>> > > > > >             <artifactId>spring-boot-starter</artifactId>
>> > > > > >             <version>${spring-boot-version}</version>
>> > > > > >         </dependency>
>> > > > > >         <dependency>
>> > > > > >             <groupId>org.apache.camel</groupId>
>> > > > > >             <artifactId>camel-jetty</artifactId>
>> > > > > >             <version>${camel-version}</version>
>> > > > > >         </dependency>
>> > > > > >         <!--START OF GENERATED CODE-->
>> > > > > >         <dependency>
>> > > > > >             <groupId>org.apache.camel.springboot</groupId>
>> > > > > >             <artifactId>camel-core-starter</artifactId>
>> > > > > >         </dependency>
>> > > > > >         <dependency>
>> > > > > >             <groupId>org.apache.camel.springboot</groupId>
>> > > > > >             <artifactId>camel-spring-boot-starter</artifactId>
>> > > > > >         </dependency>
>> > > > > >         <!--END OF GENERATED CODE-->
>> > > > > >     </dependencies>
>> > > > > > </project>
>> > > > > > ===
>> > > > > >
>> > > > > > Although the apt dependency is gone, I don't believe this was properly
>> > > > > > generated.
>> > > > > >
>> > > > > > Any ideas?
>> > > > > >
>> > > > > > On Fri, Feb 21, 2020 at 9:47 PM Andrea Cosentino <[hidden email]>
>> > > > > > wrote:
>> > > > > > >
>> > > > > > > Or better use the starter-delete and the starte-create. Apt shouldn't be
>> > > > > > > there
>> > > > > > >
>> > > > > > > Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]> ha
>> > > > > > scritto:
>> > > > > > >
>> > > > > > > > Maybe you can try to totally remove the starter folder and recreate it
>> > > > > > > > from scratch. The generator adds but doesn't remove...
>> > > > > > > >
>> > > > > > > > Il ven 21 feb 2020, 21:27 Gregor Zurowski <[hidden email]>
>> > > > > > ha
>> > > > > > > > scritto:
>> > > > > > > >
>> > > > > > > >> Hi Everyone:
>> > > > > > > >>
>> > > > > > > >> I am currently running in the following issue when building Camel
>> > > > > > Spring
>> > > > > > > >> Boot:
>> > > > > > > >>
>> > > > > > > >> ===
>> > > > > > > >> [INFO] [INFO]
>> > > > > > > >>
>> > > > > > ------------------------------------------------------------------------
>> > > > > > > >> [INFO] [INFO] BUILD FAILURE
>> > > > > > > >> [INFO] [INFO]
>> > > > > > > >>
>> > > > > > ------------------------------------------------------------------------
>> > > > > > > >> [INFO] [INFO] Total time:  08:59 min
>> > > > > > > >> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
>> > > > > > > >> [INFO] [INFO]
>> > > > > > > >>
>> > > > > > ------------------------------------------------------------------------
>> > > > > > > >> [INFO] [WARNING] The requested profile "enable-schemagen" could not be
>> > > > > > > >> activated because it does not exist.
>> > > > > > > >> [INFO] [WARNING] The requested profile "apt" could not be activated
>> > > > > > > >> because it does not exist.
>> > > > > > > >> [INFO] [WARNING] The requested profile "hibernate" could not be
>> > > > > > > >> activated because it does not exist.
>> > > > > > > >> [INFO] [ERROR] Failed to execute goal on project camel-jetty-starter:
>> > > > > > > >> Could not resolve dependencies for project
>> > > > > > > >> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
>> > > > > > > >> Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
>> > > > > > > >> (https://repo.maven.apache.org/maven2) -> [Help 1]
>> > > > > > > >> ===
>> > > > > > > >>
>> > > > > > > >> As per our migration guide, the camel-apt module has been deprecated
>> > > > > > [1].
>> > > > > > > >>
>> > > > > > > >> The pom.xml for camel-jetty-starter contains the following dependency:
>> > > > > > > >>
>> > > > > > > >> ===
>> > > > > > > >>     <!--START OF GENERATED CODE-->
>> > > > > > > >>     [...]
>> > > > > > > >>     <dependency>
>> > > > > > > >>       <groupId>org.apache.camel</groupId>
>> > > > > > > >>       <artifactId>apt</artifactId>
>> > > > > > > >>       <version>${camel-version}</version>
>> > > > > > > >>     </dependency>
>> > > > > > > >>     <!--END OF GENERATED CODE-->
>> > > > > > > >> ===
>> > > > > > > >>
>> > > > > > > >> Please note that the dependency is part of the generated code. Can you
>> > > > > > > >> please point me in the right direction on how to properly replace this
>> > > > > > > >> dependency with the code provided in the migration guide?
>> > > > > > > >>
>> > > > > > > >> Thanks in advance,
>> > > > > > > >> Gregor
>> > > > > > > >>
>> > > > > > > >> [1]
>> > > > > > > >>
>> > > > > > https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
>> > > > > > > >>
>> > > > > > > >> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
>> > > > > > > >> <[hidden email]> wrote:
>> > > > > > > >> >
>> > > > > > > >> > Hi,
>> > > > > > > >> >
>> > > > > > > >> > There are still multiple issues with the Spring Boot release and I
>> > > > > > > >> > will look further into those later today. The current problems are
>> > > > > > > >> > mainly misalignments between Camel and the corresponding starter
>> > > > > > > >> > components.
>> > > > > > > >> >
>> > > > > > > >> > Thanks,
>> > > > > > > >> > Gregor
>> > > > > > > >> >
>> > > > > > > >> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]>
>> > > > > > > >> wrote:
>> > > > > > > >> > >
>> > > > > > > >> > > Hi Gregor
>> > > > > > > >> > >
>> > > > > > > >> > > How is it going with the release?
>> > > > > > > >> > >
>> > > > > > > >> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
>> > > > > > > >> > > <[hidden email]> wrote:
>> > > > > > > >> > > >
>> > > > > > > >> > > > I found the issue in the meantime and fixed it on the release
>> > > > > > > >> branch:
>> > > > > > > >> > > > https://github.com/apache/camel-spring-boot/commit/e354d5af
>> > > > > > > >> > > >
>> > > > > > > >> > > > I am moving forward now and hope to release Camel Spring Boot
>> > > > > > 3.1.0
>> > > > > > > >> > > > without further issues.
>> > > > > > > >> > > >
>> > > > > > > >> > > > Thanks Andrea for your support!
>> > > > > > > >> > > >
>> > > > > > > >> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
>> > > > > > > >> > > > <[hidden email]> wrote:
>> > > > > > > >> > > > >
>> > > > > > > >> > > > > Hi Everyone:
>> > > > > > > >> > > > >
>> > > > > > > >> > > > > After creating the Camel 3.1.0 release, I've attempted to
>> > > > > > create
>> > > > > > > >> the
>> > > > > > > >> > > > > Camel Spring Boot 3.1.0 release, but ran into the following
>> > > > > > issue:
>> > > > > > > >> > > > >
>> > > > > > > >> > > > > When running a dry run for release:prepare, I am getting the
>> > > > > > > >> following error:
>> > > > > > > >> > > > >
>> > > > > > > >> > > > > [INFO]
>> > > > > > > >>
>> > > > > > ------------------------------------------------------------------------
>> > > > > > > >> > > > > [INFO] BUILD FAILURE
>> > > > > > > >> > > > > [INFO]
>> > > > > > > >>
>> > > > > > ------------------------------------------------------------------------
>> > > > > > > >> > > > > [INFO] Total time:  7.711 s
>> > > > > > > >> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
>> > > > > > > >> > > > > [INFO]
>> > > > > > > >>
>> > > > > > ------------------------------------------------------------------------
>> > > > > > > >> > > > > [ERROR] Failed to execute goal
>> > > > > > > >> > > > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
>> > > > > > > >> > > > > (default-cli) on project spring-boot: The version could not be
>> > > > > > > >> > > > > updated: ${camel-version} -> [Help 1]
>> > > > > > > >> > > > >
>> > > > > > > >> > > > > I am not sure why this happens, but I recall we had a similar
>> > > > > > > >> issue
>> > > > > > > >> > > > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
>> > > > > > > >> > > > >
>> > > > > > > >> > > > > If you want to take a look, please checkout the release/3.1.0
>> > > > > > > >> branch
>> > > > > > > >> > > > > as I needed to make several changes:
>> > > > > > > >> > > > >
>> > > > > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
>> > > > > > > >> > > > >
>> > > > > > > >> > > > > Thanks in advance,
>> > > > > > > >> > > > > Gregor
>> > > > > > > >> > >
>> > > > > > > >> > >
>> > > > > > > >> > >
>> > > > > > > >> > > --
>> > > > > > > >> > > Claus Ibsen
>> > > > > > > >> > > -----------------
>> > > > > > > >> > > http://davsclaus.com @davsclaus
>> > > > > > > >> > > Camel in Action 2: https://www.manning.com/ibsen2
>> > > > > > > >>
>> > > > > > > >
>> > > > > >
>> > >
>> > >
>> > >
>> > > --
>> > > Claus Ibsen
>> > > -----------------
>> > > http://davsclaus.com @davsclaus
>> > > Camel in Action 2: https://www.manning.com/ibsen2
>> >
>> >
>> >
>> > --
>> > Claus Ibsen
>> > -----------------
>> > http://davsclaus.com @davsclaus
>> > Camel in Action 2: https://www.manning.com/ibsen2
>>
>>
>>
>> --
>> Claus Ibsen
>> -----------------
>> http://davsclaus.com @davsclaus
>> Camel in Action 2: https://www.manning.com/ibsen2
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Camel Spring Boot release

Claus Ibsen-2
Hi

Ah f*** yammer, we had some weird adoc issues too with it too.

I have corrected the javadoc on the master branch.
For the camel-spring-boot I am working on a hack in the plugin that
generates the -starter source code then we can patch the 3.1.0 release
branch and we can get the release to continue


On Sat, Feb 22, 2020 at 8:37 PM Gregor Zurowski
<[hidden email]> wrote:

>
> I am running into other issues now:
>
> ===
> [INFO] [ERROR] Failed to execute goal
> org.apache.maven.plugins:maven-javadoc-plugin:3.0.1:jar
> (attach-javadocs) on project camel-yammer-starter:
> MavenReportException: Error while generating Javadoc:
> [INFO] [ERROR] Exit code: 1 -
> /home/camel/camel-spring-boot/components-starter/camel-yammer-starter/src/main/java/org/apache/camel/component/yammer/springboot/YammerComponentConfiguration.java:184:
> error: unmappable character for encoding UTF-8
> [INFO] [ERROR]          * you can make a request with the parameter
> newerThan=3516? to ensure
> [INFO] [ERROR]
>            ^
> [INFO] [ERROR] /home/camel/camel-spring-boot/components-starter/camel-yammer-starter/src/main/java/org/apache/camel/component/yammer/springboot/YammerComponentConfiguration.java:193:
> error: unmappable character for encoding UTF-8
> [INFO] [ERROR]          * you could append olderThan=2912? to your
> request to get the 20
> [INFO] [ERROR]                                           ^
> [INFO] [ERROR]
> [INFO] [ERROR] Command line was:
> /usr/lib/jvm/java-8-openjdk-amd64/jre/../bin/javadoc @options
> @packages
> [INFO] [ERROR]
> [INFO] [ERROR] Refer to the generated Javadoc files in
> '/home/camel/camel-spring-boot/components-starter/camel-yammer-starter/target/apidocs'
> dir.
> ===
>
> There's an invalid character after newerThan=3516 in the generator
> configuration class. I believe this can only be solved by changing the
> corresponding code in the camel-yammer component in the Camel
> codebase, or is there another way to solve this?
>
> Thanks,
> Gregor
>
> On Sat, Feb 22, 2020 at 1:23 PM Gregor Zurowski
> <[hidden email]> wrote:
> >
> > Thanks for the update. I will try it in a few hours and let you know.
> >
> >
> > On Sat, Feb 22, 2020, 10:43 AM Claus Ibsen <[hidden email]> wrote:
> >>
> >> Hi
> >>
> >> Okay with the fixes then I can build camel-spring-boot with
> >>
> >> mvn clean install
> >>
> >> And using the camel 3.1.0 JARs from the release branch/tag.
> >>
> >> Gregor lets us know when you start the release again and if you hit
> >> any new problems, thanks.
> >>
> >> On Sat, Feb 22, 2020 at 9:59 AM Claus Ibsen <[hidden email]> wrote:
> >> >
> >> > Hi Gregor
> >> >
> >> > Okay I should have fixed it now.
> >> >
> >> > There is a PR against the 3.1.0 release branch you can review and merge
> >> > https://github.com/apache/camel-spring-boot/pull/14
> >> >
> >> > And my work is on this branch
> >> > https://github.com/apache/camel-spring-boot/tree/claus
> >> >
> >> >
> >> > On Sat, Feb 22, 2020 at 8:25 AM Claus Ibsen <[hidden email]> wrote:
> >> > >
> >> > > Hi Gregor
> >> > >
> >> > > Thanks for reporting. I have reproduced your issues and are working on
> >> > > fixing them.
> >> > > There is a few others after the apt fix.
> >> > >
> >> > > Work on a branch which I will push then you can cherry pick to your
> >> > > release branch and hopefully build the release.
> >> > >
> >> > > On Fri, Feb 21, 2020 at 10:24 PM Gregor Zurowski
> >> > > <[hidden email]> wrote:
> >> > > >
> >> > > > After building the module, the camel-apt dependency got added again:
> >> > > >
> >> > > > ===
> >> > > >     <!--START OF GENERATED CODE-->
> >> > > >     <dependency>
> >> > > >       <groupId>org.apache.camel.springboot</groupId>
> >> > > >       <artifactId>camel-core-starter</artifactId>
> >> > > >     </dependency>
> >> > > >     <dependency>
> >> > > >       <groupId>org.apache.camel.springboot</groupId>
> >> > > >       <artifactId>camel-spring-boot-starter</artifactId>
> >> > > >     </dependency>
> >> > > >     <dependency>
> >> > > >       <groupId>org.apache.camel</groupId>
> >> > > >       <artifactId>apt</artifactId>
> >> > > >       <version>${camel-version}</version>
> >> > > >     </dependency>
> >> > > >     <!--END OF GENERATED CODE-->
> >> > > > ===
> >> > > >
> >> > > > On Fri, Feb 21, 2020 at 10:14 PM Andrea Cosentino <[hidden email]> wrote:
> >> > > > >
> >> > > > > To me this is not a blocker for the release. The starter looks good in
> >> > > > > terms of dependency. Let's just open an issue tracking this
> >> > > > >
> >> > > > > Il ven 21 feb 2020, 22:12 Gregor Zurowski <[hidden email]> ha
> >> > > > > scritto:
> >> > > > >
> >> > > > > > I've tried this, but it creates a jetty-starter module with some
> >> > > > > > weird-looking comments with "Dozer". Following is the generated
> >> > > > > > pom.xml:
> >> > > > > >
> >> > > > > > ===
> >> > > > > > <project xmlns="http://maven.apache.org/POM/4.0.0"
> >> > > > > > xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> >> > > > > > xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
> >> > > > > > http://maven.apache.org/maven-v4_0_0.xsd">
> >> > > > > >     <modelVersion>4.0.0</modelVersion>
> >> > > > > >     <parent>
> >> > > > > >         <groupId>org.apache.camel.springboot</groupId>
> >> > > > > >         <artifactId>components-starter</artifactId>
> >> > > > > >         <version>3.1.0-SNAPSHOT</version>
> >> > > > > >     </parent>
> >> > > > > >     <artifactId>camel-jetty-starter</artifactId>
> >> > > > > >     <packaging>jar</packaging>
> >> > > > > > <!--    <name>Camel Spring Boot :: Starters :: Dozer</name>-->
> >> > > > > > <!--    <description>Spring-Boot Starter for Camel Support for the
> >> > > > > > Dozer type conversion framework</description>-->
> >> > > > > >     <dependencies>
> >> > > > > >         <dependency>
> >> > > > > >             <groupId>org.springframework.boot</groupId>
> >> > > > > >             <artifactId>spring-boot-starter</artifactId>
> >> > > > > >             <version>${spring-boot-version}</version>
> >> > > > > >         </dependency>
> >> > > > > >         <dependency>
> >> > > > > >             <groupId>org.apache.camel</groupId>
> >> > > > > >             <artifactId>camel-jetty</artifactId>
> >> > > > > >             <version>${camel-version}</version>
> >> > > > > >         </dependency>
> >> > > > > >         <!--START OF GENERATED CODE-->
> >> > > > > >         <dependency>
> >> > > > > >             <groupId>org.apache.camel.springboot</groupId>
> >> > > > > >             <artifactId>camel-core-starter</artifactId>
> >> > > > > >         </dependency>
> >> > > > > >         <dependency>
> >> > > > > >             <groupId>org.apache.camel.springboot</groupId>
> >> > > > > >             <artifactId>camel-spring-boot-starter</artifactId>
> >> > > > > >         </dependency>
> >> > > > > >         <!--END OF GENERATED CODE-->
> >> > > > > >     </dependencies>
> >> > > > > > </project>
> >> > > > > > ===
> >> > > > > >
> >> > > > > > Although the apt dependency is gone, I don't believe this was properly
> >> > > > > > generated.
> >> > > > > >
> >> > > > > > Any ideas?
> >> > > > > >
> >> > > > > > On Fri, Feb 21, 2020 at 9:47 PM Andrea Cosentino <[hidden email]>
> >> > > > > > wrote:
> >> > > > > > >
> >> > > > > > > Or better use the starter-delete and the starte-create. Apt shouldn't be
> >> > > > > > > there
> >> > > > > > >
> >> > > > > > > Il ven 21 feb 2020, 21:33 Andrea Cosentino <[hidden email]> ha
> >> > > > > > scritto:
> >> > > > > > >
> >> > > > > > > > Maybe you can try to totally remove the starter folder and recreate it
> >> > > > > > > > from scratch. The generator adds but doesn't remove...
> >> > > > > > > >
> >> > > > > > > > Il ven 21 feb 2020, 21:27 Gregor Zurowski <[hidden email]>
> >> > > > > > ha
> >> > > > > > > > scritto:
> >> > > > > > > >
> >> > > > > > > >> Hi Everyone:
> >> > > > > > > >>
> >> > > > > > > >> I am currently running in the following issue when building Camel
> >> > > > > > Spring
> >> > > > > > > >> Boot:
> >> > > > > > > >>
> >> > > > > > > >> ===
> >> > > > > > > >> [INFO] [INFO]
> >> > > > > > > >>
> >> > > > > > ------------------------------------------------------------------------
> >> > > > > > > >> [INFO] [INFO] BUILD FAILURE
> >> > > > > > > >> [INFO] [INFO]
> >> > > > > > > >>
> >> > > > > > ------------------------------------------------------------------------
> >> > > > > > > >> [INFO] [INFO] Total time:  08:59 min
> >> > > > > > > >> [INFO] [INFO] Finished at: 2020-02-21T04:26:58-08:00
> >> > > > > > > >> [INFO] [INFO]
> >> > > > > > > >>
> >> > > > > > ------------------------------------------------------------------------
> >> > > > > > > >> [INFO] [WARNING] The requested profile "enable-schemagen" could not be
> >> > > > > > > >> activated because it does not exist.
> >> > > > > > > >> [INFO] [WARNING] The requested profile "apt" could not be activated
> >> > > > > > > >> because it does not exist.
> >> > > > > > > >> [INFO] [WARNING] The requested profile "hibernate" could not be
> >> > > > > > > >> activated because it does not exist.
> >> > > > > > > >> [INFO] [ERROR] Failed to execute goal on project camel-jetty-starter:
> >> > > > > > > >> Could not resolve dependencies for project
> >> > > > > > > >> org.apache.camel.springboot:camel-jetty-starter:jar:3.1.0-SNAPSHOT:
> >> > > > > > > >> Could not find artifact org.apache.camel:apt:jar:3.1.0 in central
> >> > > > > > > >> (https://repo.maven.apache.org/maven2) -> [Help 1]
> >> > > > > > > >> ===
> >> > > > > > > >>
> >> > > > > > > >> As per our migration guide, the camel-apt module has been deprecated
> >> > > > > > [1].
> >> > > > > > > >>
> >> > > > > > > >> The pom.xml for camel-jetty-starter contains the following dependency:
> >> > > > > > > >>
> >> > > > > > > >> ===
> >> > > > > > > >>     <!--START OF GENERATED CODE-->
> >> > > > > > > >>     [...]
> >> > > > > > > >>     <dependency>
> >> > > > > > > >>       <groupId>org.apache.camel</groupId>
> >> > > > > > > >>       <artifactId>apt</artifactId>
> >> > > > > > > >>       <version>${camel-version}</version>
> >> > > > > > > >>     </dependency>
> >> > > > > > > >>     <!--END OF GENERATED CODE-->
> >> > > > > > > >> ===
> >> > > > > > > >>
> >> > > > > > > >> Please note that the dependency is part of the generated code. Can you
> >> > > > > > > >> please point me in the right direction on how to properly replace this
> >> > > > > > > >> dependency with the code provided in the migration guide?
> >> > > > > > > >>
> >> > > > > > > >> Thanks in advance,
> >> > > > > > > >> Gregor
> >> > > > > > > >>
> >> > > > > > > >> [1]
> >> > > > > > > >>
> >> > > > > > https://camel.apache.org/manual/latest/camel-3x-upgrade-guide.html#_custom_components
> >> > > > > > > >>
> >> > > > > > > >> On Fri, Feb 21, 2020 at 1:33 PM Gregor Zurowski
> >> > > > > > > >> <[hidden email]> wrote:
> >> > > > > > > >> >
> >> > > > > > > >> > Hi,
> >> > > > > > > >> >
> >> > > > > > > >> > There are still multiple issues with the Spring Boot release and I
> >> > > > > > > >> > will look further into those later today. The current problems are
> >> > > > > > > >> > mainly misalignments between Camel and the corresponding starter
> >> > > > > > > >> > components.
> >> > > > > > > >> >
> >> > > > > > > >> > Thanks,
> >> > > > > > > >> > Gregor
> >> > > > > > > >> >
> >> > > > > > > >> > On Fri, Feb 21, 2020 at 1:05 PM Claus Ibsen <[hidden email]>
> >> > > > > > > >> wrote:
> >> > > > > > > >> > >
> >> > > > > > > >> > > Hi Gregor
> >> > > > > > > >> > >
> >> > > > > > > >> > > How is it going with the release?
> >> > > > > > > >> > >
> >> > > > > > > >> > > On Fri, Feb 21, 2020 at 8:40 AM Gregor Zurowski
> >> > > > > > > >> > > <[hidden email]> wrote:
> >> > > > > > > >> > > >
> >> > > > > > > >> > > > I found the issue in the meantime and fixed it on the release
> >> > > > > > > >> branch:
> >> > > > > > > >> > > > https://github.com/apache/camel-spring-boot/commit/e354d5af
> >> > > > > > > >> > > >
> >> > > > > > > >> > > > I am moving forward now and hope to release Camel Spring Boot
> >> > > > > > 3.1.0
> >> > > > > > > >> > > > without further issues.
> >> > > > > > > >> > > >
> >> > > > > > > >> > > > Thanks Andrea for your support!
> >> > > > > > > >> > > >
> >> > > > > > > >> > > > On Thu, Feb 20, 2020 at 7:39 PM Gregor Zurowski
> >> > > > > > > >> > > > <[hidden email]> wrote:
> >> > > > > > > >> > > > >
> >> > > > > > > >> > > > > Hi Everyone:
> >> > > > > > > >> > > > >
> >> > > > > > > >> > > > > After creating the Camel 3.1.0 release, I've attempted to
> >> > > > > > create
> >> > > > > > > >> the
> >> > > > > > > >> > > > > Camel Spring Boot 3.1.0 release, but ran into the following
> >> > > > > > issue:
> >> > > > > > > >> > > > >
> >> > > > > > > >> > > > > When running a dry run for release:prepare, I am getting the
> >> > > > > > > >> following error:
> >> > > > > > > >> > > > >
> >> > > > > > > >> > > > > [INFO]
> >> > > > > > > >>
> >> > > > > > ------------------------------------------------------------------------
> >> > > > > > > >> > > > > [INFO] BUILD FAILURE
> >> > > > > > > >> > > > > [INFO]
> >> > > > > > > >>
> >> > > > > > ------------------------------------------------------------------------
> >> > > > > > > >> > > > > [INFO] Total time:  7.711 s
> >> > > > > > > >> > > > > [INFO] Finished at: 2020-02-20T10:12:35-08:00
> >> > > > > > > >> > > > > [INFO]
> >> > > > > > > >>
> >> > > > > > ------------------------------------------------------------------------
> >> > > > > > > >> > > > > [ERROR] Failed to execute goal
> >> > > > > > > >> > > > > org.apache.maven.plugins:maven-release-plugin:2.4.2:prepare
> >> > > > > > > >> > > > > (default-cli) on project spring-boot: The version could not be
> >> > > > > > > >> > > > > updated: ${camel-version} -> [Help 1]
> >> > > > > > > >> > > > >
> >> > > > > > > >> > > > > I am not sure why this happens, but I recall we had a similar
> >> > > > > > > >> issue
> >> > > > > > > >> > > > > fixed by Guillaume when we prepare the Camel 3.1.0 release.
> >> > > > > > > >> > > > >
> >> > > > > > > >> > > > > If you want to take a look, please checkout the release/3.1.0
> >> > > > > > > >> branch
> >> > > > > > > >> > > > > as I needed to make several changes:
> >> > > > > > > >> > > > >
> >> > > > > > https://github.com/apache/camel-spring-boot/tree/release/3.1.0
> >> > > > > > > >> > > > >
> >> > > > > > > >> > > > > Thanks in advance,
> >> > > > > > > >> > > > > Gregor
> >> > > > > > > >> > >
> >> > > > > > > >> > >
> >> > > > > > > >> > >
> >> > > > > > > >> > > --
> >> > > > > > > >> > > Claus Ibsen
> >> > > > > > > >> > > -----------------
> >> > > > > > > >> > > http://davsclaus.com @davsclaus
> >> > > > > > > >> > > Camel in Action 2: https://www.manning.com/ibsen2
> >> > > > > > > >>
> >> > > > > > > >
> >> > > > > >
> >> > >
> >> > >
> >> > >
> >> > > --
> >> > > Claus Ibsen
> >> > > -----------------
> >> > > http://davsclaus.com @davsclaus
> >> > > Camel in Action 2: https://www.manning.com/ibsen2
> >> >
> >> >
> >> >
> >> > --
> >> > Claus Ibsen
> >> > -----------------
> >> > http://davsclaus.com @davsclaus
> >> > Camel in Action 2: https://www.manning.com/ibsen2
> >>
> >>
> >>
> >> --
> >> Claus Ibsen
> >> -----------------
> >> http://davsclaus.com @davsclaus
> >> Camel in Action 2: https://www.manning.com/ibsen2



--
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2
12